# This file was automatically generated by SWIG (http://www.swig.org).
# Version 3.0.6
#
# Do not make changes to this file unless you know what you are doing--modify
# the SWIG interface file instead.




"""
Python interface to libwyliodrin
"""


from sys import version_info
if version_info >= (2, 6, 0):
    def swig_import_helper():
        from os.path import dirname
        import imp
        fp = None
        try:
            fp, pathname, description = imp.find_module('_wyliodrin', [dirname(__file__)])
        except ImportError:
            import _wyliodrin
            return _wyliodrin
        if fp is not None:
            try:
                _mod = imp.load_module('_wyliodrin', fp, pathname, description)
            finally:
                fp.close()
            return _mod
    _wyliodrin = swig_import_helper()
    del swig_import_helper
else:
    import _wyliodrin
del version_info
try:
    _swig_property = property
except NameError:
    pass  # Python < 2.2 doesn't have 'property'.


def _swig_setattr_nondynamic(self, class_type, name, value, static=1):
    if (name == "thisown"):
        return self.this.own(value)
    if (name == "this"):
        if type(value).__name__ == 'SwigPyObject':
            self.__dict__[name] = value
            return
    method = class_type.__swig_setmethods__.get(name, None)
    if method:
        return method(self, value)
    if (not static):
        if _newclass:
            object.__setattr__(self, name, value)
        else:
            self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)


def _swig_setattr(self, class_type, name, value):
    return _swig_setattr_nondynamic(self, class_type, name, value, 0)


def _swig_getattr_nondynamic(self, class_type, name, static=1):
    if (name == "thisown"):
        return self.this.own()
    method = class_type.__swig_getmethods__.get(name, None)
    if method:
        return method(self)
    if (not static):
        return object.__getattr__(self, name)
    else:
        raise AttributeError(name)

def _swig_getattr(self, class_type, name):
    return _swig_getattr_nondynamic(self, class_type, name, 0)


def _swig_repr(self):
    try:
        strthis = "proxy of " + self.this.__repr__()
    except:
        strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)

try:
    _object = object
    _newclass = 1
except AttributeError:
    class _object:
        pass
    _newclass = 0



import redis
import os
import json

port = 6379
channelClient = {}
threads = {}
handlers = {}
CHANNEL_SERVER = "communication_server:"
CHANNEL_CLIENT = "communication_client:"
client = None

def initCommunication (redis_port=6379):
  global port
  global client
  if redis_port is None:
    redis_port = os.getenv("wyliodrin_port", 6379);
  client = redis.StrictRedis(host='localhost', port=redis_port, db=0)
  port = redis_port
  return 0

def myHandlerFunction (message):
  global handlers
  global CHANNEL_SERVER

  channel = message['channel']
  label = channel[len(CHANNEL_CLIENT):]
  myHandler = handlers[label]

  mes = json.loads(message['data'])
  fromId = mes['from']
  data = mes['data']

  myHandler(fromId, label, 0, data)

def openConnection (label, handlerFunction):
  global channelClient
  global threads
  global handlers
  global CHANNEL_SERVER

  handlers[label] = handlerFunction
  r = redis.StrictRedis(host='localhost', port=port, db=0)
  p = r.pubsub(ignore_subscribe_messages=True)
  p.psubscribe(**{CHANNEL_CLIENT+str(label): myHandlerFunction})
  channelClient[label] = p
  thread = p.run_in_thread(sleep_time=0.01)

def sendMessage (wyliodrin_id, label, data):
  global client
  if isinstance(wyliodrin_id, list):
    for id in wyliodrin_id:
      message = {"id":id, "data":data}
      client.publish(CHANNEL_SERVER+str(label), json.dumps(message))
  else:
    message = {"id":wyliodrin_id, "data":data}
    client.publish(CHANNEL_SERVER+str(label), json.dumps(message))

def closeConnection(label):
  global threads
  global channelClient

  p = channelClient[label]
  if p is not None:
    p.close()
    del channelClient[label]

def closeCommunication():
  global threads
  global channelClient
  for c in channelClient:
    c.close()


_wyliodrin.LSBFIRST_swigconstant(_wyliodrin)
LSBFIRST = _wyliodrin.LSBFIRST

_wyliodrin.MSBFIRST_swigconstant(_wyliodrin)
MSBFIRST = _wyliodrin.MSBFIRST

_wyliodrin.MAX_I2C_BUSES_swigconstant(_wyliodrin)
MAX_I2C_BUSES = _wyliodrin.MAX_I2C_BUSES

_wyliodrin.MAX_SPI_BUSES_swigconstant(_wyliodrin)
MAX_SPI_BUSES = _wyliodrin.MAX_SPI_BUSES

_wyliodrin.MAX_SERIAL_BUSES_swigconstant(_wyliodrin)
MAX_SERIAL_BUSES = _wyliodrin.MAX_SERIAL_BUSES

_wyliodrin.RUN_RASPBERRYPI_swigconstant(_wyliodrin)
RUN_RASPBERRYPI = _wyliodrin.RUN_RASPBERRYPI

_wyliodrin.RUN_GALILEO_swigconstant(_wyliodrin)
RUN_GALILEO = _wyliodrin.RUN_GALILEO

_wyliodrin.RUN_EDISON_swigconstant(_wyliodrin)
RUN_EDISON = _wyliodrin.RUN_EDISON

_wyliodrin.BOARD_swigconstant(_wyliodrin)
BOARD = _wyliodrin.BOARD

_wyliodrin.MAX_GPIO_PINS_swigconstant(_wyliodrin)
MAX_GPIO_PINS = _wyliodrin.MAX_GPIO_PINS

_wyliodrin.MAX_AIO_PINS_swigconstant(_wyliodrin)
MAX_AIO_PINS = _wyliodrin.MAX_AIO_PINS

_wyliodrin.MAX_PWM_PINS_swigconstant(_wyliodrin)
MAX_PWM_PINS = _wyliodrin.MAX_PWM_PINS

_wyliodrin.A0_swigconstant(_wyliodrin)
A0 = _wyliodrin.A0

_wyliodrin.A1_swigconstant(_wyliodrin)
A1 = _wyliodrin.A1

_wyliodrin.A2_swigconstant(_wyliodrin)
A2 = _wyliodrin.A2

_wyliodrin.A3_swigconstant(_wyliodrin)
A3 = _wyliodrin.A3

_wyliodrin.A4_swigconstant(_wyliodrin)
A4 = _wyliodrin.A4

_wyliodrin.A5_swigconstant(_wyliodrin)
A5 = _wyliodrin.A5

_wyliodrin.A6_swigconstant(_wyliodrin)
A6 = _wyliodrin.A6

_wyliodrin.HIGH_swigconstant(_wyliodrin)
HIGH = _wyliodrin.HIGH

_wyliodrin.LOW_swigconstant(_wyliodrin)
LOW = _wyliodrin.LOW

_wyliodrin.INPUT_swigconstant(_wyliodrin)
INPUT = _wyliodrin.INPUT

_wyliodrin.OUTPUT_swigconstant(_wyliodrin)
OUTPUT = _wyliodrin.OUTPUT

def wiringSetup():
    return _wyliodrin.wiringSetup()
wiringSetup = _wyliodrin.wiringSetup

def pinReset(pin):
    return _wyliodrin.pinReset(pin)
pinReset = _wyliodrin.pinReset

def pinMode(pin, mode):
    return _wyliodrin.pinMode(pin, mode)
pinMode = _wyliodrin.pinMode

def digitalWrite(pin, value):
    return _wyliodrin.digitalWrite(pin, value)
digitalWrite = _wyliodrin.digitalWrite

def digitalRead(pin):
    return _wyliodrin.digitalRead(pin)
digitalRead = _wyliodrin.digitalRead

def analogWrite(pin, value):
    return _wyliodrin.analogWrite(pin, value)
analogWrite = _wyliodrin.analogWrite

def analogRead(pin):
    return _wyliodrin.analogRead(pin)
analogRead = _wyliodrin.analogRead

def delay(milliseconds):
    return _wyliodrin.delay(milliseconds)
delay = _wyliodrin.delay

def delayMicroseconds(microseconds):
    return _wyliodrin.delayMicroseconds(microseconds)
delayMicroseconds = _wyliodrin.delayMicroseconds

def millis():
    return _wyliodrin.millis()
millis = _wyliodrin.millis

def micros():
    return _wyliodrin.micros()
micros = _wyliodrin.micros

def pulseIn(pin, state):
    return _wyliodrin.pulseIn(pin, state)
pulseIn = _wyliodrin.pulseIn

def shiftOut(dataPin, clockPin, bitOrder, val):
    return _wyliodrin.shiftOut(dataPin, clockPin, bitOrder, val)
shiftOut = _wyliodrin.shiftOut

def shiftIn(dataPin, clockPin, bitOrder):
    return _wyliodrin.shiftIn(dataPin, clockPin, bitOrder)
shiftIn = _wyliodrin.shiftIn

def randomMinMax(arg1, arg2):
    return _wyliodrin.randomMinMax(arg1, arg2)
randomMinMax = _wyliodrin.randomMinMax

def map(arg1, arg2, arg3, arg4, arg5):
    return _wyliodrin.map(arg1, arg2, arg3, arg4, arg5)
map = _wyliodrin.map

def makeWord(h, l):
    return _wyliodrin.makeWord(h, l)
makeWord = _wyliodrin.makeWord

def spi_getadapter(spi_bus_address):
    return _wyliodrin.spi_getadapter(spi_bus_address)
spi_getadapter = _wyliodrin.spi_getadapter

def spi_openadapter(spi_bus):
    return _wyliodrin.spi_openadapter(spi_bus)
spi_openadapter = _wyliodrin.spi_openadapter

def spi_setmode(spiId, mode):
    return _wyliodrin.spi_setmode(spiId, mode)
spi_setmode = _wyliodrin.spi_setmode

def spi_set_frequency(spiId, freq):
    return _wyliodrin.spi_set_frequency(spiId, freq)
spi_set_frequency = _wyliodrin.spi_set_frequency

def spi_writebyte(spiId, byte):
    return _wyliodrin.spi_writebyte(spiId, byte)
spi_writebyte = _wyliodrin.spi_writebyte

def spi_writebytes(spiId, bytes, length):
    return _wyliodrin.spi_writebytes(spiId, bytes, length)
spi_writebytes = _wyliodrin.spi_writebytes

def spi_lsb_mode(spiId, lsb):
    return _wyliodrin.spi_lsb_mode(spiId, lsb)
spi_lsb_mode = _wyliodrin.spi_lsb_mode

def spi_bit_per_word(spiId, bits):
    return _wyliodrin.spi_bit_per_word(spiId, bits)
spi_bit_per_word = _wyliodrin.spi_bit_per_word

def spi_closeadapter(spiId):
    return _wyliodrin.spi_closeadapter(spiId)
spi_closeadapter = _wyliodrin.spi_closeadapter

def i2c_openadapter(i2c_bus):
    return _wyliodrin.i2c_openadapter(i2c_bus)
i2c_openadapter = _wyliodrin.i2c_openadapter

def i2c_setslave(i2cId, addr):
    return _wyliodrin.i2c_setslave(i2cId, addr)
i2c_setslave = _wyliodrin.i2c_setslave

def i2c_writebyte(i2cId, byte):
    return _wyliodrin.i2c_writebyte(i2cId, byte)
i2c_writebyte = _wyliodrin.i2c_writebyte

def i2c_writebytes(i2cId, bytes, length):
    return _wyliodrin.i2c_writebytes(i2cId, bytes, length)
i2c_writebytes = _wyliodrin.i2c_writebytes

def i2c_readbyte(i2cId):
    return _wyliodrin.i2c_readbyte(i2cId)
i2c_readbyte = _wyliodrin.i2c_readbyte

def i2c_closeadapter(i2cId):
    return _wyliodrin.i2c_closeadapter(i2cId)
i2c_closeadapter = _wyliodrin.i2c_closeadapter

def i2c_readbytes(i2cId, buf, length):
    return _wyliodrin.i2c_readbytes(i2cId, buf, length)
i2c_readbytes = _wyliodrin.i2c_readbytes

def i2c_readwrite(i2cId):
    return _wyliodrin.i2c_readwrite(i2cId)
i2c_readwrite = _wyliodrin.i2c_readwrite

def serial_openadapter(serial_bus):
    return _wyliodrin.serial_openadapter(serial_bus)
serial_openadapter = _wyliodrin.serial_openadapter

def serial_set_speed(serial_id, baud):
    return _wyliodrin.serial_set_speed(serial_id, baud)
serial_set_speed = _wyliodrin.serial_set_speed

def serial_bytes_available(serial_id):
    return _wyliodrin.serial_bytes_available(serial_id)
serial_bytes_available = _wyliodrin.serial_bytes_available

def serial_closeadapter(serial_id):
    return _wyliodrin.serial_closeadapter(serial_id)
serial_closeadapter = _wyliodrin.serial_closeadapter

def serial_writebyte(serial_id, byte):
    return _wyliodrin.serial_writebyte(serial_id, byte)
serial_writebyte = _wyliodrin.serial_writebyte

def serial_writebytes(serial_id, bytes, length):
    return _wyliodrin.serial_writebytes(serial_id, bytes, length)
serial_writebytes = _wyliodrin.serial_writebytes

def serial_readbyte(serial_id):
    return _wyliodrin.serial_readbyte(serial_id)
serial_readbyte = _wyliodrin.serial_readbyte

def serial_readbytes(serial_id, buf, length):
    return _wyliodrin.serial_readbytes(serial_id, buf, length)
serial_readbytes = _wyliodrin.serial_readbytes

def serial_flush(serial_id):
    return _wyliodrin.serial_flush(serial_id)
serial_flush = _wyliodrin.serial_flush

_wyliodrin.B0_swigconstant(_wyliodrin)
B0 = _wyliodrin.B0

_wyliodrin.B00_swigconstant(_wyliodrin)
B00 = _wyliodrin.B00

_wyliodrin.B000_swigconstant(_wyliodrin)
B000 = _wyliodrin.B000

_wyliodrin.B0000_swigconstant(_wyliodrin)
B0000 = _wyliodrin.B0000

_wyliodrin.B00000_swigconstant(_wyliodrin)
B00000 = _wyliodrin.B00000

_wyliodrin.B000000_swigconstant(_wyliodrin)
B000000 = _wyliodrin.B000000

_wyliodrin.B0000000_swigconstant(_wyliodrin)
B0000000 = _wyliodrin.B0000000

_wyliodrin.B00000000_swigconstant(_wyliodrin)
B00000000 = _wyliodrin.B00000000

_wyliodrin.B1_swigconstant(_wyliodrin)
B1 = _wyliodrin.B1

_wyliodrin.B01_swigconstant(_wyliodrin)
B01 = _wyliodrin.B01

_wyliodrin.B001_swigconstant(_wyliodrin)
B001 = _wyliodrin.B001

_wyliodrin.B0001_swigconstant(_wyliodrin)
B0001 = _wyliodrin.B0001

_wyliodrin.B00001_swigconstant(_wyliodrin)
B00001 = _wyliodrin.B00001

_wyliodrin.B000001_swigconstant(_wyliodrin)
B000001 = _wyliodrin.B000001

_wyliodrin.B0000001_swigconstant(_wyliodrin)
B0000001 = _wyliodrin.B0000001

_wyliodrin.B00000001_swigconstant(_wyliodrin)
B00000001 = _wyliodrin.B00000001

_wyliodrin.B10_swigconstant(_wyliodrin)
B10 = _wyliodrin.B10

_wyliodrin.B010_swigconstant(_wyliodrin)
B010 = _wyliodrin.B010

_wyliodrin.B0010_swigconstant(_wyliodrin)
B0010 = _wyliodrin.B0010

_wyliodrin.B00010_swigconstant(_wyliodrin)
B00010 = _wyliodrin.B00010

_wyliodrin.B000010_swigconstant(_wyliodrin)
B000010 = _wyliodrin.B000010

_wyliodrin.B0000010_swigconstant(_wyliodrin)
B0000010 = _wyliodrin.B0000010

_wyliodrin.B00000010_swigconstant(_wyliodrin)
B00000010 = _wyliodrin.B00000010

_wyliodrin.B11_swigconstant(_wyliodrin)
B11 = _wyliodrin.B11

_wyliodrin.B011_swigconstant(_wyliodrin)
B011 = _wyliodrin.B011

_wyliodrin.B0011_swigconstant(_wyliodrin)
B0011 = _wyliodrin.B0011

_wyliodrin.B00011_swigconstant(_wyliodrin)
B00011 = _wyliodrin.B00011

_wyliodrin.B000011_swigconstant(_wyliodrin)
B000011 = _wyliodrin.B000011

_wyliodrin.B0000011_swigconstant(_wyliodrin)
B0000011 = _wyliodrin.B0000011

_wyliodrin.B00000011_swigconstant(_wyliodrin)
B00000011 = _wyliodrin.B00000011

_wyliodrin.B100_swigconstant(_wyliodrin)
B100 = _wyliodrin.B100

_wyliodrin.B0100_swigconstant(_wyliodrin)
B0100 = _wyliodrin.B0100

_wyliodrin.B00100_swigconstant(_wyliodrin)
B00100 = _wyliodrin.B00100

_wyliodrin.B000100_swigconstant(_wyliodrin)
B000100 = _wyliodrin.B000100

_wyliodrin.B0000100_swigconstant(_wyliodrin)
B0000100 = _wyliodrin.B0000100

_wyliodrin.B00000100_swigconstant(_wyliodrin)
B00000100 = _wyliodrin.B00000100

_wyliodrin.B101_swigconstant(_wyliodrin)
B101 = _wyliodrin.B101

_wyliodrin.B0101_swigconstant(_wyliodrin)
B0101 = _wyliodrin.B0101

_wyliodrin.B00101_swigconstant(_wyliodrin)
B00101 = _wyliodrin.B00101

_wyliodrin.B000101_swigconstant(_wyliodrin)
B000101 = _wyliodrin.B000101

_wyliodrin.B0000101_swigconstant(_wyliodrin)
B0000101 = _wyliodrin.B0000101

_wyliodrin.B00000101_swigconstant(_wyliodrin)
B00000101 = _wyliodrin.B00000101

_wyliodrin.B110_swigconstant(_wyliodrin)
B110 = _wyliodrin.B110

_wyliodrin.B0110_swigconstant(_wyliodrin)
B0110 = _wyliodrin.B0110

_wyliodrin.B00110_swigconstant(_wyliodrin)
B00110 = _wyliodrin.B00110

_wyliodrin.B000110_swigconstant(_wyliodrin)
B000110 = _wyliodrin.B000110

_wyliodrin.B0000110_swigconstant(_wyliodrin)
B0000110 = _wyliodrin.B0000110

_wyliodrin.B00000110_swigconstant(_wyliodrin)
B00000110 = _wyliodrin.B00000110

_wyliodrin.B111_swigconstant(_wyliodrin)
B111 = _wyliodrin.B111

_wyliodrin.B0111_swigconstant(_wyliodrin)
B0111 = _wyliodrin.B0111

_wyliodrin.B00111_swigconstant(_wyliodrin)
B00111 = _wyliodrin.B00111

_wyliodrin.B000111_swigconstant(_wyliodrin)
B000111 = _wyliodrin.B000111

_wyliodrin.B0000111_swigconstant(_wyliodrin)
B0000111 = _wyliodrin.B0000111

_wyliodrin.B00000111_swigconstant(_wyliodrin)
B00000111 = _wyliodrin.B00000111

_wyliodrin.B1000_swigconstant(_wyliodrin)
B1000 = _wyliodrin.B1000

_wyliodrin.B01000_swigconstant(_wyliodrin)
B01000 = _wyliodrin.B01000

_wyliodrin.B001000_swigconstant(_wyliodrin)
B001000 = _wyliodrin.B001000

_wyliodrin.B0001000_swigconstant(_wyliodrin)
B0001000 = _wyliodrin.B0001000

_wyliodrin.B00001000_swigconstant(_wyliodrin)
B00001000 = _wyliodrin.B00001000

_wyliodrin.B1001_swigconstant(_wyliodrin)
B1001 = _wyliodrin.B1001

_wyliodrin.B01001_swigconstant(_wyliodrin)
B01001 = _wyliodrin.B01001

_wyliodrin.B001001_swigconstant(_wyliodrin)
B001001 = _wyliodrin.B001001

_wyliodrin.B0001001_swigconstant(_wyliodrin)
B0001001 = _wyliodrin.B0001001

_wyliodrin.B00001001_swigconstant(_wyliodrin)
B00001001 = _wyliodrin.B00001001

_wyliodrin.B1010_swigconstant(_wyliodrin)
B1010 = _wyliodrin.B1010

_wyliodrin.B01010_swigconstant(_wyliodrin)
B01010 = _wyliodrin.B01010

_wyliodrin.B001010_swigconstant(_wyliodrin)
B001010 = _wyliodrin.B001010

_wyliodrin.B0001010_swigconstant(_wyliodrin)
B0001010 = _wyliodrin.B0001010

_wyliodrin.B00001010_swigconstant(_wyliodrin)
B00001010 = _wyliodrin.B00001010

_wyliodrin.B1011_swigconstant(_wyliodrin)
B1011 = _wyliodrin.B1011

_wyliodrin.B01011_swigconstant(_wyliodrin)
B01011 = _wyliodrin.B01011

_wyliodrin.B001011_swigconstant(_wyliodrin)
B001011 = _wyliodrin.B001011

_wyliodrin.B0001011_swigconstant(_wyliodrin)
B0001011 = _wyliodrin.B0001011

_wyliodrin.B00001011_swigconstant(_wyliodrin)
B00001011 = _wyliodrin.B00001011

_wyliodrin.B1100_swigconstant(_wyliodrin)
B1100 = _wyliodrin.B1100

_wyliodrin.B01100_swigconstant(_wyliodrin)
B01100 = _wyliodrin.B01100

_wyliodrin.B001100_swigconstant(_wyliodrin)
B001100 = _wyliodrin.B001100

_wyliodrin.B0001100_swigconstant(_wyliodrin)
B0001100 = _wyliodrin.B0001100

_wyliodrin.B00001100_swigconstant(_wyliodrin)
B00001100 = _wyliodrin.B00001100

_wyliodrin.B1101_swigconstant(_wyliodrin)
B1101 = _wyliodrin.B1101

_wyliodrin.B01101_swigconstant(_wyliodrin)
B01101 = _wyliodrin.B01101

_wyliodrin.B001101_swigconstant(_wyliodrin)
B001101 = _wyliodrin.B001101

_wyliodrin.B0001101_swigconstant(_wyliodrin)
B0001101 = _wyliodrin.B0001101

_wyliodrin.B00001101_swigconstant(_wyliodrin)
B00001101 = _wyliodrin.B00001101

_wyliodrin.B1110_swigconstant(_wyliodrin)
B1110 = _wyliodrin.B1110

_wyliodrin.B01110_swigconstant(_wyliodrin)
B01110 = _wyliodrin.B01110

_wyliodrin.B001110_swigconstant(_wyliodrin)
B001110 = _wyliodrin.B001110

_wyliodrin.B0001110_swigconstant(_wyliodrin)
B0001110 = _wyliodrin.B0001110

_wyliodrin.B00001110_swigconstant(_wyliodrin)
B00001110 = _wyliodrin.B00001110

_wyliodrin.B1111_swigconstant(_wyliodrin)
B1111 = _wyliodrin.B1111

_wyliodrin.B01111_swigconstant(_wyliodrin)
B01111 = _wyliodrin.B01111

_wyliodrin.B001111_swigconstant(_wyliodrin)
B001111 = _wyliodrin.B001111

_wyliodrin.B0001111_swigconstant(_wyliodrin)
B0001111 = _wyliodrin.B0001111

_wyliodrin.B00001111_swigconstant(_wyliodrin)
B00001111 = _wyliodrin.B00001111

_wyliodrin.B10000_swigconstant(_wyliodrin)
B10000 = _wyliodrin.B10000

_wyliodrin.B010000_swigconstant(_wyliodrin)
B010000 = _wyliodrin.B010000

_wyliodrin.B0010000_swigconstant(_wyliodrin)
B0010000 = _wyliodrin.B0010000

_wyliodrin.B00010000_swigconstant(_wyliodrin)
B00010000 = _wyliodrin.B00010000

_wyliodrin.B10001_swigconstant(_wyliodrin)
B10001 = _wyliodrin.B10001

_wyliodrin.B010001_swigconstant(_wyliodrin)
B010001 = _wyliodrin.B010001

_wyliodrin.B0010001_swigconstant(_wyliodrin)
B0010001 = _wyliodrin.B0010001

_wyliodrin.B00010001_swigconstant(_wyliodrin)
B00010001 = _wyliodrin.B00010001

_wyliodrin.B10010_swigconstant(_wyliodrin)
B10010 = _wyliodrin.B10010

_wyliodrin.B010010_swigconstant(_wyliodrin)
B010010 = _wyliodrin.B010010

_wyliodrin.B0010010_swigconstant(_wyliodrin)
B0010010 = _wyliodrin.B0010010

_wyliodrin.B00010010_swigconstant(_wyliodrin)
B00010010 = _wyliodrin.B00010010

_wyliodrin.B10011_swigconstant(_wyliodrin)
B10011 = _wyliodrin.B10011

_wyliodrin.B010011_swigconstant(_wyliodrin)
B010011 = _wyliodrin.B010011

_wyliodrin.B0010011_swigconstant(_wyliodrin)
B0010011 = _wyliodrin.B0010011

_wyliodrin.B00010011_swigconstant(_wyliodrin)
B00010011 = _wyliodrin.B00010011

_wyliodrin.B10100_swigconstant(_wyliodrin)
B10100 = _wyliodrin.B10100

_wyliodrin.B010100_swigconstant(_wyliodrin)
B010100 = _wyliodrin.B010100

_wyliodrin.B0010100_swigconstant(_wyliodrin)
B0010100 = _wyliodrin.B0010100

_wyliodrin.B00010100_swigconstant(_wyliodrin)
B00010100 = _wyliodrin.B00010100

_wyliodrin.B10101_swigconstant(_wyliodrin)
B10101 = _wyliodrin.B10101

_wyliodrin.B010101_swigconstant(_wyliodrin)
B010101 = _wyliodrin.B010101

_wyliodrin.B0010101_swigconstant(_wyliodrin)
B0010101 = _wyliodrin.B0010101

_wyliodrin.B00010101_swigconstant(_wyliodrin)
B00010101 = _wyliodrin.B00010101

_wyliodrin.B10110_swigconstant(_wyliodrin)
B10110 = _wyliodrin.B10110

_wyliodrin.B010110_swigconstant(_wyliodrin)
B010110 = _wyliodrin.B010110

_wyliodrin.B0010110_swigconstant(_wyliodrin)
B0010110 = _wyliodrin.B0010110

_wyliodrin.B00010110_swigconstant(_wyliodrin)
B00010110 = _wyliodrin.B00010110

_wyliodrin.B10111_swigconstant(_wyliodrin)
B10111 = _wyliodrin.B10111

_wyliodrin.B010111_swigconstant(_wyliodrin)
B010111 = _wyliodrin.B010111

_wyliodrin.B0010111_swigconstant(_wyliodrin)
B0010111 = _wyliodrin.B0010111

_wyliodrin.B00010111_swigconstant(_wyliodrin)
B00010111 = _wyliodrin.B00010111

_wyliodrin.B11000_swigconstant(_wyliodrin)
B11000 = _wyliodrin.B11000

_wyliodrin.B011000_swigconstant(_wyliodrin)
B011000 = _wyliodrin.B011000

_wyliodrin.B0011000_swigconstant(_wyliodrin)
B0011000 = _wyliodrin.B0011000

_wyliodrin.B00011000_swigconstant(_wyliodrin)
B00011000 = _wyliodrin.B00011000

_wyliodrin.B11001_swigconstant(_wyliodrin)
B11001 = _wyliodrin.B11001

_wyliodrin.B011001_swigconstant(_wyliodrin)
B011001 = _wyliodrin.B011001

_wyliodrin.B0011001_swigconstant(_wyliodrin)
B0011001 = _wyliodrin.B0011001

_wyliodrin.B00011001_swigconstant(_wyliodrin)
B00011001 = _wyliodrin.B00011001

_wyliodrin.B11010_swigconstant(_wyliodrin)
B11010 = _wyliodrin.B11010

_wyliodrin.B011010_swigconstant(_wyliodrin)
B011010 = _wyliodrin.B011010

_wyliodrin.B0011010_swigconstant(_wyliodrin)
B0011010 = _wyliodrin.B0011010

_wyliodrin.B00011010_swigconstant(_wyliodrin)
B00011010 = _wyliodrin.B00011010

_wyliodrin.B11011_swigconstant(_wyliodrin)
B11011 = _wyliodrin.B11011

_wyliodrin.B011011_swigconstant(_wyliodrin)
B011011 = _wyliodrin.B011011

_wyliodrin.B0011011_swigconstant(_wyliodrin)
B0011011 = _wyliodrin.B0011011

_wyliodrin.B00011011_swigconstant(_wyliodrin)
B00011011 = _wyliodrin.B00011011

_wyliodrin.B11100_swigconstant(_wyliodrin)
B11100 = _wyliodrin.B11100

_wyliodrin.B011100_swigconstant(_wyliodrin)
B011100 = _wyliodrin.B011100

_wyliodrin.B0011100_swigconstant(_wyliodrin)
B0011100 = _wyliodrin.B0011100

_wyliodrin.B00011100_swigconstant(_wyliodrin)
B00011100 = _wyliodrin.B00011100

_wyliodrin.B11101_swigconstant(_wyliodrin)
B11101 = _wyliodrin.B11101

_wyliodrin.B011101_swigconstant(_wyliodrin)
B011101 = _wyliodrin.B011101

_wyliodrin.B0011101_swigconstant(_wyliodrin)
B0011101 = _wyliodrin.B0011101

_wyliodrin.B00011101_swigconstant(_wyliodrin)
B00011101 = _wyliodrin.B00011101

_wyliodrin.B11110_swigconstant(_wyliodrin)
B11110 = _wyliodrin.B11110

_wyliodrin.B011110_swigconstant(_wyliodrin)
B011110 = _wyliodrin.B011110

_wyliodrin.B0011110_swigconstant(_wyliodrin)
B0011110 = _wyliodrin.B0011110

_wyliodrin.B00011110_swigconstant(_wyliodrin)
B00011110 = _wyliodrin.B00011110

_wyliodrin.B11111_swigconstant(_wyliodrin)
B11111 = _wyliodrin.B11111

_wyliodrin.B011111_swigconstant(_wyliodrin)
B011111 = _wyliodrin.B011111

_wyliodrin.B0011111_swigconstant(_wyliodrin)
B0011111 = _wyliodrin.B0011111

_wyliodrin.B00011111_swigconstant(_wyliodrin)
B00011111 = _wyliodrin.B00011111

_wyliodrin.B100000_swigconstant(_wyliodrin)
B100000 = _wyliodrin.B100000

_wyliodrin.B0100000_swigconstant(_wyliodrin)
B0100000 = _wyliodrin.B0100000

_wyliodrin.B00100000_swigconstant(_wyliodrin)
B00100000 = _wyliodrin.B00100000

_wyliodrin.B100001_swigconstant(_wyliodrin)
B100001 = _wyliodrin.B100001

_wyliodrin.B0100001_swigconstant(_wyliodrin)
B0100001 = _wyliodrin.B0100001

_wyliodrin.B00100001_swigconstant(_wyliodrin)
B00100001 = _wyliodrin.B00100001

_wyliodrin.B100010_swigconstant(_wyliodrin)
B100010 = _wyliodrin.B100010

_wyliodrin.B0100010_swigconstant(_wyliodrin)
B0100010 = _wyliodrin.B0100010

_wyliodrin.B00100010_swigconstant(_wyliodrin)
B00100010 = _wyliodrin.B00100010

_wyliodrin.B100011_swigconstant(_wyliodrin)
B100011 = _wyliodrin.B100011

_wyliodrin.B0100011_swigconstant(_wyliodrin)
B0100011 = _wyliodrin.B0100011

_wyliodrin.B00100011_swigconstant(_wyliodrin)
B00100011 = _wyliodrin.B00100011

_wyliodrin.B100100_swigconstant(_wyliodrin)
B100100 = _wyliodrin.B100100

_wyliodrin.B0100100_swigconstant(_wyliodrin)
B0100100 = _wyliodrin.B0100100

_wyliodrin.B00100100_swigconstant(_wyliodrin)
B00100100 = _wyliodrin.B00100100

_wyliodrin.B100101_swigconstant(_wyliodrin)
B100101 = _wyliodrin.B100101

_wyliodrin.B0100101_swigconstant(_wyliodrin)
B0100101 = _wyliodrin.B0100101

_wyliodrin.B00100101_swigconstant(_wyliodrin)
B00100101 = _wyliodrin.B00100101

_wyliodrin.B100110_swigconstant(_wyliodrin)
B100110 = _wyliodrin.B100110

_wyliodrin.B0100110_swigconstant(_wyliodrin)
B0100110 = _wyliodrin.B0100110

_wyliodrin.B00100110_swigconstant(_wyliodrin)
B00100110 = _wyliodrin.B00100110

_wyliodrin.B100111_swigconstant(_wyliodrin)
B100111 = _wyliodrin.B100111

_wyliodrin.B0100111_swigconstant(_wyliodrin)
B0100111 = _wyliodrin.B0100111

_wyliodrin.B00100111_swigconstant(_wyliodrin)
B00100111 = _wyliodrin.B00100111

_wyliodrin.B101000_swigconstant(_wyliodrin)
B101000 = _wyliodrin.B101000

_wyliodrin.B0101000_swigconstant(_wyliodrin)
B0101000 = _wyliodrin.B0101000

_wyliodrin.B00101000_swigconstant(_wyliodrin)
B00101000 = _wyliodrin.B00101000

_wyliodrin.B101001_swigconstant(_wyliodrin)
B101001 = _wyliodrin.B101001

_wyliodrin.B0101001_swigconstant(_wyliodrin)
B0101001 = _wyliodrin.B0101001

_wyliodrin.B00101001_swigconstant(_wyliodrin)
B00101001 = _wyliodrin.B00101001

_wyliodrin.B101010_swigconstant(_wyliodrin)
B101010 = _wyliodrin.B101010

_wyliodrin.B0101010_swigconstant(_wyliodrin)
B0101010 = _wyliodrin.B0101010

_wyliodrin.B00101010_swigconstant(_wyliodrin)
B00101010 = _wyliodrin.B00101010

_wyliodrin.B101011_swigconstant(_wyliodrin)
B101011 = _wyliodrin.B101011

_wyliodrin.B0101011_swigconstant(_wyliodrin)
B0101011 = _wyliodrin.B0101011

_wyliodrin.B00101011_swigconstant(_wyliodrin)
B00101011 = _wyliodrin.B00101011

_wyliodrin.B101100_swigconstant(_wyliodrin)
B101100 = _wyliodrin.B101100

_wyliodrin.B0101100_swigconstant(_wyliodrin)
B0101100 = _wyliodrin.B0101100

_wyliodrin.B00101100_swigconstant(_wyliodrin)
B00101100 = _wyliodrin.B00101100

_wyliodrin.B101101_swigconstant(_wyliodrin)
B101101 = _wyliodrin.B101101

_wyliodrin.B0101101_swigconstant(_wyliodrin)
B0101101 = _wyliodrin.B0101101

_wyliodrin.B00101101_swigconstant(_wyliodrin)
B00101101 = _wyliodrin.B00101101

_wyliodrin.B101110_swigconstant(_wyliodrin)
B101110 = _wyliodrin.B101110

_wyliodrin.B0101110_swigconstant(_wyliodrin)
B0101110 = _wyliodrin.B0101110

_wyliodrin.B00101110_swigconstant(_wyliodrin)
B00101110 = _wyliodrin.B00101110

_wyliodrin.B101111_swigconstant(_wyliodrin)
B101111 = _wyliodrin.B101111

_wyliodrin.B0101111_swigconstant(_wyliodrin)
B0101111 = _wyliodrin.B0101111

_wyliodrin.B00101111_swigconstant(_wyliodrin)
B00101111 = _wyliodrin.B00101111

_wyliodrin.B110000_swigconstant(_wyliodrin)
B110000 = _wyliodrin.B110000

_wyliodrin.B0110000_swigconstant(_wyliodrin)
B0110000 = _wyliodrin.B0110000

_wyliodrin.B00110000_swigconstant(_wyliodrin)
B00110000 = _wyliodrin.B00110000

_wyliodrin.B110001_swigconstant(_wyliodrin)
B110001 = _wyliodrin.B110001

_wyliodrin.B0110001_swigconstant(_wyliodrin)
B0110001 = _wyliodrin.B0110001

_wyliodrin.B00110001_swigconstant(_wyliodrin)
B00110001 = _wyliodrin.B00110001

_wyliodrin.B110010_swigconstant(_wyliodrin)
B110010 = _wyliodrin.B110010

_wyliodrin.B0110010_swigconstant(_wyliodrin)
B0110010 = _wyliodrin.B0110010

_wyliodrin.B00110010_swigconstant(_wyliodrin)
B00110010 = _wyliodrin.B00110010

_wyliodrin.B110011_swigconstant(_wyliodrin)
B110011 = _wyliodrin.B110011

_wyliodrin.B0110011_swigconstant(_wyliodrin)
B0110011 = _wyliodrin.B0110011

_wyliodrin.B00110011_swigconstant(_wyliodrin)
B00110011 = _wyliodrin.B00110011

_wyliodrin.B110100_swigconstant(_wyliodrin)
B110100 = _wyliodrin.B110100

_wyliodrin.B0110100_swigconstant(_wyliodrin)
B0110100 = _wyliodrin.B0110100

_wyliodrin.B00110100_swigconstant(_wyliodrin)
B00110100 = _wyliodrin.B00110100

_wyliodrin.B110101_swigconstant(_wyliodrin)
B110101 = _wyliodrin.B110101

_wyliodrin.B0110101_swigconstant(_wyliodrin)
B0110101 = _wyliodrin.B0110101

_wyliodrin.B00110101_swigconstant(_wyliodrin)
B00110101 = _wyliodrin.B00110101

_wyliodrin.B110110_swigconstant(_wyliodrin)
B110110 = _wyliodrin.B110110

_wyliodrin.B0110110_swigconstant(_wyliodrin)
B0110110 = _wyliodrin.B0110110

_wyliodrin.B00110110_swigconstant(_wyliodrin)
B00110110 = _wyliodrin.B00110110

_wyliodrin.B110111_swigconstant(_wyliodrin)
B110111 = _wyliodrin.B110111

_wyliodrin.B0110111_swigconstant(_wyliodrin)
B0110111 = _wyliodrin.B0110111

_wyliodrin.B00110111_swigconstant(_wyliodrin)
B00110111 = _wyliodrin.B00110111

_wyliodrin.B111000_swigconstant(_wyliodrin)
B111000 = _wyliodrin.B111000

_wyliodrin.B0111000_swigconstant(_wyliodrin)
B0111000 = _wyliodrin.B0111000

_wyliodrin.B00111000_swigconstant(_wyliodrin)
B00111000 = _wyliodrin.B00111000

_wyliodrin.B111001_swigconstant(_wyliodrin)
B111001 = _wyliodrin.B111001

_wyliodrin.B0111001_swigconstant(_wyliodrin)
B0111001 = _wyliodrin.B0111001

_wyliodrin.B00111001_swigconstant(_wyliodrin)
B00111001 = _wyliodrin.B00111001

_wyliodrin.B111010_swigconstant(_wyliodrin)
B111010 = _wyliodrin.B111010

_wyliodrin.B0111010_swigconstant(_wyliodrin)
B0111010 = _wyliodrin.B0111010

_wyliodrin.B00111010_swigconstant(_wyliodrin)
B00111010 = _wyliodrin.B00111010

_wyliodrin.B111011_swigconstant(_wyliodrin)
B111011 = _wyliodrin.B111011

_wyliodrin.B0111011_swigconstant(_wyliodrin)
B0111011 = _wyliodrin.B0111011

_wyliodrin.B00111011_swigconstant(_wyliodrin)
B00111011 = _wyliodrin.B00111011

_wyliodrin.B111100_swigconstant(_wyliodrin)
B111100 = _wyliodrin.B111100

_wyliodrin.B0111100_swigconstant(_wyliodrin)
B0111100 = _wyliodrin.B0111100

_wyliodrin.B00111100_swigconstant(_wyliodrin)
B00111100 = _wyliodrin.B00111100

_wyliodrin.B111101_swigconstant(_wyliodrin)
B111101 = _wyliodrin.B111101

_wyliodrin.B0111101_swigconstant(_wyliodrin)
B0111101 = _wyliodrin.B0111101

_wyliodrin.B00111101_swigconstant(_wyliodrin)
B00111101 = _wyliodrin.B00111101

_wyliodrin.B111110_swigconstant(_wyliodrin)
B111110 = _wyliodrin.B111110

_wyliodrin.B0111110_swigconstant(_wyliodrin)
B0111110 = _wyliodrin.B0111110

_wyliodrin.B00111110_swigconstant(_wyliodrin)
B00111110 = _wyliodrin.B00111110

_wyliodrin.B111111_swigconstant(_wyliodrin)
B111111 = _wyliodrin.B111111

_wyliodrin.B0111111_swigconstant(_wyliodrin)
B0111111 = _wyliodrin.B0111111

_wyliodrin.B00111111_swigconstant(_wyliodrin)
B00111111 = _wyliodrin.B00111111

_wyliodrin.B1000000_swigconstant(_wyliodrin)
B1000000 = _wyliodrin.B1000000

_wyliodrin.B01000000_swigconstant(_wyliodrin)
B01000000 = _wyliodrin.B01000000

_wyliodrin.B1000001_swigconstant(_wyliodrin)
B1000001 = _wyliodrin.B1000001

_wyliodrin.B01000001_swigconstant(_wyliodrin)
B01000001 = _wyliodrin.B01000001

_wyliodrin.B1000010_swigconstant(_wyliodrin)
B1000010 = _wyliodrin.B1000010

_wyliodrin.B01000010_swigconstant(_wyliodrin)
B01000010 = _wyliodrin.B01000010

_wyliodrin.B1000011_swigconstant(_wyliodrin)
B1000011 = _wyliodrin.B1000011

_wyliodrin.B01000011_swigconstant(_wyliodrin)
B01000011 = _wyliodrin.B01000011

_wyliodrin.B1000100_swigconstant(_wyliodrin)
B1000100 = _wyliodrin.B1000100

_wyliodrin.B01000100_swigconstant(_wyliodrin)
B01000100 = _wyliodrin.B01000100

_wyliodrin.B1000101_swigconstant(_wyliodrin)
B1000101 = _wyliodrin.B1000101

_wyliodrin.B01000101_swigconstant(_wyliodrin)
B01000101 = _wyliodrin.B01000101

_wyliodrin.B1000110_swigconstant(_wyliodrin)
B1000110 = _wyliodrin.B1000110

_wyliodrin.B01000110_swigconstant(_wyliodrin)
B01000110 = _wyliodrin.B01000110

_wyliodrin.B1000111_swigconstant(_wyliodrin)
B1000111 = _wyliodrin.B1000111

_wyliodrin.B01000111_swigconstant(_wyliodrin)
B01000111 = _wyliodrin.B01000111

_wyliodrin.B1001000_swigconstant(_wyliodrin)
B1001000 = _wyliodrin.B1001000

_wyliodrin.B01001000_swigconstant(_wyliodrin)
B01001000 = _wyliodrin.B01001000

_wyliodrin.B1001001_swigconstant(_wyliodrin)
B1001001 = _wyliodrin.B1001001

_wyliodrin.B01001001_swigconstant(_wyliodrin)
B01001001 = _wyliodrin.B01001001

_wyliodrin.B1001010_swigconstant(_wyliodrin)
B1001010 = _wyliodrin.B1001010

_wyliodrin.B01001010_swigconstant(_wyliodrin)
B01001010 = _wyliodrin.B01001010

_wyliodrin.B1001011_swigconstant(_wyliodrin)
B1001011 = _wyliodrin.B1001011

_wyliodrin.B01001011_swigconstant(_wyliodrin)
B01001011 = _wyliodrin.B01001011

_wyliodrin.B1001100_swigconstant(_wyliodrin)
B1001100 = _wyliodrin.B1001100

_wyliodrin.B01001100_swigconstant(_wyliodrin)
B01001100 = _wyliodrin.B01001100

_wyliodrin.B1001101_swigconstant(_wyliodrin)
B1001101 = _wyliodrin.B1001101

_wyliodrin.B01001101_swigconstant(_wyliodrin)
B01001101 = _wyliodrin.B01001101

_wyliodrin.B1001110_swigconstant(_wyliodrin)
B1001110 = _wyliodrin.B1001110

_wyliodrin.B01001110_swigconstant(_wyliodrin)
B01001110 = _wyliodrin.B01001110

_wyliodrin.B1001111_swigconstant(_wyliodrin)
B1001111 = _wyliodrin.B1001111

_wyliodrin.B01001111_swigconstant(_wyliodrin)
B01001111 = _wyliodrin.B01001111

_wyliodrin.B1010000_swigconstant(_wyliodrin)
B1010000 = _wyliodrin.B1010000

_wyliodrin.B01010000_swigconstant(_wyliodrin)
B01010000 = _wyliodrin.B01010000

_wyliodrin.B1010001_swigconstant(_wyliodrin)
B1010001 = _wyliodrin.B1010001

_wyliodrin.B01010001_swigconstant(_wyliodrin)
B01010001 = _wyliodrin.B01010001

_wyliodrin.B1010010_swigconstant(_wyliodrin)
B1010010 = _wyliodrin.B1010010

_wyliodrin.B01010010_swigconstant(_wyliodrin)
B01010010 = _wyliodrin.B01010010

_wyliodrin.B1010011_swigconstant(_wyliodrin)
B1010011 = _wyliodrin.B1010011

_wyliodrin.B01010011_swigconstant(_wyliodrin)
B01010011 = _wyliodrin.B01010011

_wyliodrin.B1010100_swigconstant(_wyliodrin)
B1010100 = _wyliodrin.B1010100

_wyliodrin.B01010100_swigconstant(_wyliodrin)
B01010100 = _wyliodrin.B01010100

_wyliodrin.B1010101_swigconstant(_wyliodrin)
B1010101 = _wyliodrin.B1010101

_wyliodrin.B01010101_swigconstant(_wyliodrin)
B01010101 = _wyliodrin.B01010101

_wyliodrin.B1010110_swigconstant(_wyliodrin)
B1010110 = _wyliodrin.B1010110

_wyliodrin.B01010110_swigconstant(_wyliodrin)
B01010110 = _wyliodrin.B01010110

_wyliodrin.B1010111_swigconstant(_wyliodrin)
B1010111 = _wyliodrin.B1010111

_wyliodrin.B01010111_swigconstant(_wyliodrin)
B01010111 = _wyliodrin.B01010111

_wyliodrin.B1011000_swigconstant(_wyliodrin)
B1011000 = _wyliodrin.B1011000

_wyliodrin.B01011000_swigconstant(_wyliodrin)
B01011000 = _wyliodrin.B01011000

_wyliodrin.B1011001_swigconstant(_wyliodrin)
B1011001 = _wyliodrin.B1011001

_wyliodrin.B01011001_swigconstant(_wyliodrin)
B01011001 = _wyliodrin.B01011001

_wyliodrin.B1011010_swigconstant(_wyliodrin)
B1011010 = _wyliodrin.B1011010

_wyliodrin.B01011010_swigconstant(_wyliodrin)
B01011010 = _wyliodrin.B01011010

_wyliodrin.B1011011_swigconstant(_wyliodrin)
B1011011 = _wyliodrin.B1011011

_wyliodrin.B01011011_swigconstant(_wyliodrin)
B01011011 = _wyliodrin.B01011011

_wyliodrin.B1011100_swigconstant(_wyliodrin)
B1011100 = _wyliodrin.B1011100

_wyliodrin.B01011100_swigconstant(_wyliodrin)
B01011100 = _wyliodrin.B01011100

_wyliodrin.B1011101_swigconstant(_wyliodrin)
B1011101 = _wyliodrin.B1011101

_wyliodrin.B01011101_swigconstant(_wyliodrin)
B01011101 = _wyliodrin.B01011101

_wyliodrin.B1011110_swigconstant(_wyliodrin)
B1011110 = _wyliodrin.B1011110

_wyliodrin.B01011110_swigconstant(_wyliodrin)
B01011110 = _wyliodrin.B01011110

_wyliodrin.B1011111_swigconstant(_wyliodrin)
B1011111 = _wyliodrin.B1011111

_wyliodrin.B01011111_swigconstant(_wyliodrin)
B01011111 = _wyliodrin.B01011111

_wyliodrin.B1100000_swigconstant(_wyliodrin)
B1100000 = _wyliodrin.B1100000

_wyliodrin.B01100000_swigconstant(_wyliodrin)
B01100000 = _wyliodrin.B01100000

_wyliodrin.B1100001_swigconstant(_wyliodrin)
B1100001 = _wyliodrin.B1100001

_wyliodrin.B01100001_swigconstant(_wyliodrin)
B01100001 = _wyliodrin.B01100001

_wyliodrin.B1100010_swigconstant(_wyliodrin)
B1100010 = _wyliodrin.B1100010

_wyliodrin.B01100010_swigconstant(_wyliodrin)
B01100010 = _wyliodrin.B01100010

_wyliodrin.B1100011_swigconstant(_wyliodrin)
B1100011 = _wyliodrin.B1100011

_wyliodrin.B01100011_swigconstant(_wyliodrin)
B01100011 = _wyliodrin.B01100011

_wyliodrin.B1100100_swigconstant(_wyliodrin)
B1100100 = _wyliodrin.B1100100

_wyliodrin.B01100100_swigconstant(_wyliodrin)
B01100100 = _wyliodrin.B01100100

_wyliodrin.B1100101_swigconstant(_wyliodrin)
B1100101 = _wyliodrin.B1100101

_wyliodrin.B01100101_swigconstant(_wyliodrin)
B01100101 = _wyliodrin.B01100101

_wyliodrin.B1100110_swigconstant(_wyliodrin)
B1100110 = _wyliodrin.B1100110

_wyliodrin.B01100110_swigconstant(_wyliodrin)
B01100110 = _wyliodrin.B01100110

_wyliodrin.B1100111_swigconstant(_wyliodrin)
B1100111 = _wyliodrin.B1100111

_wyliodrin.B01100111_swigconstant(_wyliodrin)
B01100111 = _wyliodrin.B01100111

_wyliodrin.B1101000_swigconstant(_wyliodrin)
B1101000 = _wyliodrin.B1101000

_wyliodrin.B01101000_swigconstant(_wyliodrin)
B01101000 = _wyliodrin.B01101000

_wyliodrin.B1101001_swigconstant(_wyliodrin)
B1101001 = _wyliodrin.B1101001

_wyliodrin.B01101001_swigconstant(_wyliodrin)
B01101001 = _wyliodrin.B01101001

_wyliodrin.B1101010_swigconstant(_wyliodrin)
B1101010 = _wyliodrin.B1101010

_wyliodrin.B01101010_swigconstant(_wyliodrin)
B01101010 = _wyliodrin.B01101010

_wyliodrin.B1101011_swigconstant(_wyliodrin)
B1101011 = _wyliodrin.B1101011

_wyliodrin.B01101011_swigconstant(_wyliodrin)
B01101011 = _wyliodrin.B01101011

_wyliodrin.B1101100_swigconstant(_wyliodrin)
B1101100 = _wyliodrin.B1101100

_wyliodrin.B01101100_swigconstant(_wyliodrin)
B01101100 = _wyliodrin.B01101100

_wyliodrin.B1101101_swigconstant(_wyliodrin)
B1101101 = _wyliodrin.B1101101

_wyliodrin.B01101101_swigconstant(_wyliodrin)
B01101101 = _wyliodrin.B01101101

_wyliodrin.B1101110_swigconstant(_wyliodrin)
B1101110 = _wyliodrin.B1101110

_wyliodrin.B01101110_swigconstant(_wyliodrin)
B01101110 = _wyliodrin.B01101110

_wyliodrin.B1101111_swigconstant(_wyliodrin)
B1101111 = _wyliodrin.B1101111

_wyliodrin.B01101111_swigconstant(_wyliodrin)
B01101111 = _wyliodrin.B01101111

_wyliodrin.B1110000_swigconstant(_wyliodrin)
B1110000 = _wyliodrin.B1110000

_wyliodrin.B01110000_swigconstant(_wyliodrin)
B01110000 = _wyliodrin.B01110000

_wyliodrin.B1110001_swigconstant(_wyliodrin)
B1110001 = _wyliodrin.B1110001

_wyliodrin.B01110001_swigconstant(_wyliodrin)
B01110001 = _wyliodrin.B01110001

_wyliodrin.B1110010_swigconstant(_wyliodrin)
B1110010 = _wyliodrin.B1110010

_wyliodrin.B01110010_swigconstant(_wyliodrin)
B01110010 = _wyliodrin.B01110010

_wyliodrin.B1110011_swigconstant(_wyliodrin)
B1110011 = _wyliodrin.B1110011

_wyliodrin.B01110011_swigconstant(_wyliodrin)
B01110011 = _wyliodrin.B01110011

_wyliodrin.B1110100_swigconstant(_wyliodrin)
B1110100 = _wyliodrin.B1110100

_wyliodrin.B01110100_swigconstant(_wyliodrin)
B01110100 = _wyliodrin.B01110100

_wyliodrin.B1110101_swigconstant(_wyliodrin)
B1110101 = _wyliodrin.B1110101

_wyliodrin.B01110101_swigconstant(_wyliodrin)
B01110101 = _wyliodrin.B01110101

_wyliodrin.B1110110_swigconstant(_wyliodrin)
B1110110 = _wyliodrin.B1110110

_wyliodrin.B01110110_swigconstant(_wyliodrin)
B01110110 = _wyliodrin.B01110110

_wyliodrin.B1110111_swigconstant(_wyliodrin)
B1110111 = _wyliodrin.B1110111

_wyliodrin.B01110111_swigconstant(_wyliodrin)
B01110111 = _wyliodrin.B01110111

_wyliodrin.B1111000_swigconstant(_wyliodrin)
B1111000 = _wyliodrin.B1111000

_wyliodrin.B01111000_swigconstant(_wyliodrin)
B01111000 = _wyliodrin.B01111000

_wyliodrin.B1111001_swigconstant(_wyliodrin)
B1111001 = _wyliodrin.B1111001

_wyliodrin.B01111001_swigconstant(_wyliodrin)
B01111001 = _wyliodrin.B01111001

_wyliodrin.B1111010_swigconstant(_wyliodrin)
B1111010 = _wyliodrin.B1111010

_wyliodrin.B01111010_swigconstant(_wyliodrin)
B01111010 = _wyliodrin.B01111010

_wyliodrin.B1111011_swigconstant(_wyliodrin)
B1111011 = _wyliodrin.B1111011

_wyliodrin.B01111011_swigconstant(_wyliodrin)
B01111011 = _wyliodrin.B01111011

_wyliodrin.B1111100_swigconstant(_wyliodrin)
B1111100 = _wyliodrin.B1111100

_wyliodrin.B01111100_swigconstant(_wyliodrin)
B01111100 = _wyliodrin.B01111100

_wyliodrin.B1111101_swigconstant(_wyliodrin)
B1111101 = _wyliodrin.B1111101

_wyliodrin.B01111101_swigconstant(_wyliodrin)
B01111101 = _wyliodrin.B01111101

_wyliodrin.B1111110_swigconstant(_wyliodrin)
B1111110 = _wyliodrin.B1111110

_wyliodrin.B01111110_swigconstant(_wyliodrin)
B01111110 = _wyliodrin.B01111110

_wyliodrin.B1111111_swigconstant(_wyliodrin)
B1111111 = _wyliodrin.B1111111

_wyliodrin.B01111111_swigconstant(_wyliodrin)
B01111111 = _wyliodrin.B01111111

_wyliodrin.B10000000_swigconstant(_wyliodrin)
B10000000 = _wyliodrin.B10000000

_wyliodrin.B10000001_swigconstant(_wyliodrin)
B10000001 = _wyliodrin.B10000001

_wyliodrin.B10000010_swigconstant(_wyliodrin)
B10000010 = _wyliodrin.B10000010

_wyliodrin.B10000011_swigconstant(_wyliodrin)
B10000011 = _wyliodrin.B10000011

_wyliodrin.B10000100_swigconstant(_wyliodrin)
B10000100 = _wyliodrin.B10000100

_wyliodrin.B10000101_swigconstant(_wyliodrin)
B10000101 = _wyliodrin.B10000101

_wyliodrin.B10000110_swigconstant(_wyliodrin)
B10000110 = _wyliodrin.B10000110

_wyliodrin.B10000111_swigconstant(_wyliodrin)
B10000111 = _wyliodrin.B10000111

_wyliodrin.B10001000_swigconstant(_wyliodrin)
B10001000 = _wyliodrin.B10001000

_wyliodrin.B10001001_swigconstant(_wyliodrin)
B10001001 = _wyliodrin.B10001001

_wyliodrin.B10001010_swigconstant(_wyliodrin)
B10001010 = _wyliodrin.B10001010

_wyliodrin.B10001011_swigconstant(_wyliodrin)
B10001011 = _wyliodrin.B10001011

_wyliodrin.B10001100_swigconstant(_wyliodrin)
B10001100 = _wyliodrin.B10001100

_wyliodrin.B10001101_swigconstant(_wyliodrin)
B10001101 = _wyliodrin.B10001101

_wyliodrin.B10001110_swigconstant(_wyliodrin)
B10001110 = _wyliodrin.B10001110

_wyliodrin.B10001111_swigconstant(_wyliodrin)
B10001111 = _wyliodrin.B10001111

_wyliodrin.B10010000_swigconstant(_wyliodrin)
B10010000 = _wyliodrin.B10010000

_wyliodrin.B10010001_swigconstant(_wyliodrin)
B10010001 = _wyliodrin.B10010001

_wyliodrin.B10010010_swigconstant(_wyliodrin)
B10010010 = _wyliodrin.B10010010

_wyliodrin.B10010011_swigconstant(_wyliodrin)
B10010011 = _wyliodrin.B10010011

_wyliodrin.B10010100_swigconstant(_wyliodrin)
B10010100 = _wyliodrin.B10010100

_wyliodrin.B10010101_swigconstant(_wyliodrin)
B10010101 = _wyliodrin.B10010101

_wyliodrin.B10010110_swigconstant(_wyliodrin)
B10010110 = _wyliodrin.B10010110

_wyliodrin.B10010111_swigconstant(_wyliodrin)
B10010111 = _wyliodrin.B10010111

_wyliodrin.B10011000_swigconstant(_wyliodrin)
B10011000 = _wyliodrin.B10011000

_wyliodrin.B10011001_swigconstant(_wyliodrin)
B10011001 = _wyliodrin.B10011001

_wyliodrin.B10011010_swigconstant(_wyliodrin)
B10011010 = _wyliodrin.B10011010

_wyliodrin.B10011011_swigconstant(_wyliodrin)
B10011011 = _wyliodrin.B10011011

_wyliodrin.B10011100_swigconstant(_wyliodrin)
B10011100 = _wyliodrin.B10011100

_wyliodrin.B10011101_swigconstant(_wyliodrin)
B10011101 = _wyliodrin.B10011101

_wyliodrin.B10011110_swigconstant(_wyliodrin)
B10011110 = _wyliodrin.B10011110

_wyliodrin.B10011111_swigconstant(_wyliodrin)
B10011111 = _wyliodrin.B10011111

_wyliodrin.B10100000_swigconstant(_wyliodrin)
B10100000 = _wyliodrin.B10100000

_wyliodrin.B10100001_swigconstant(_wyliodrin)
B10100001 = _wyliodrin.B10100001

_wyliodrin.B10100010_swigconstant(_wyliodrin)
B10100010 = _wyliodrin.B10100010

_wyliodrin.B10100011_swigconstant(_wyliodrin)
B10100011 = _wyliodrin.B10100011

_wyliodrin.B10100100_swigconstant(_wyliodrin)
B10100100 = _wyliodrin.B10100100

_wyliodrin.B10100101_swigconstant(_wyliodrin)
B10100101 = _wyliodrin.B10100101

_wyliodrin.B10100110_swigconstant(_wyliodrin)
B10100110 = _wyliodrin.B10100110

_wyliodrin.B10100111_swigconstant(_wyliodrin)
B10100111 = _wyliodrin.B10100111

_wyliodrin.B10101000_swigconstant(_wyliodrin)
B10101000 = _wyliodrin.B10101000

_wyliodrin.B10101001_swigconstant(_wyliodrin)
B10101001 = _wyliodrin.B10101001

_wyliodrin.B10101010_swigconstant(_wyliodrin)
B10101010 = _wyliodrin.B10101010

_wyliodrin.B10101011_swigconstant(_wyliodrin)
B10101011 = _wyliodrin.B10101011

_wyliodrin.B10101100_swigconstant(_wyliodrin)
B10101100 = _wyliodrin.B10101100

_wyliodrin.B10101101_swigconstant(_wyliodrin)
B10101101 = _wyliodrin.B10101101

_wyliodrin.B10101110_swigconstant(_wyliodrin)
B10101110 = _wyliodrin.B10101110

_wyliodrin.B10101111_swigconstant(_wyliodrin)
B10101111 = _wyliodrin.B10101111

_wyliodrin.B10110000_swigconstant(_wyliodrin)
B10110000 = _wyliodrin.B10110000

_wyliodrin.B10110001_swigconstant(_wyliodrin)
B10110001 = _wyliodrin.B10110001

_wyliodrin.B10110010_swigconstant(_wyliodrin)
B10110010 = _wyliodrin.B10110010

_wyliodrin.B10110011_swigconstant(_wyliodrin)
B10110011 = _wyliodrin.B10110011

_wyliodrin.B10110100_swigconstant(_wyliodrin)
B10110100 = _wyliodrin.B10110100

_wyliodrin.B10110101_swigconstant(_wyliodrin)
B10110101 = _wyliodrin.B10110101

_wyliodrin.B10110110_swigconstant(_wyliodrin)
B10110110 = _wyliodrin.B10110110

_wyliodrin.B10110111_swigconstant(_wyliodrin)
B10110111 = _wyliodrin.B10110111

_wyliodrin.B10111000_swigconstant(_wyliodrin)
B10111000 = _wyliodrin.B10111000

_wyliodrin.B10111001_swigconstant(_wyliodrin)
B10111001 = _wyliodrin.B10111001

_wyliodrin.B10111010_swigconstant(_wyliodrin)
B10111010 = _wyliodrin.B10111010

_wyliodrin.B10111011_swigconstant(_wyliodrin)
B10111011 = _wyliodrin.B10111011

_wyliodrin.B10111100_swigconstant(_wyliodrin)
B10111100 = _wyliodrin.B10111100

_wyliodrin.B10111101_swigconstant(_wyliodrin)
B10111101 = _wyliodrin.B10111101

_wyliodrin.B10111110_swigconstant(_wyliodrin)
B10111110 = _wyliodrin.B10111110

_wyliodrin.B10111111_swigconstant(_wyliodrin)
B10111111 = _wyliodrin.B10111111

_wyliodrin.B11000000_swigconstant(_wyliodrin)
B11000000 = _wyliodrin.B11000000

_wyliodrin.B11000001_swigconstant(_wyliodrin)
B11000001 = _wyliodrin.B11000001

_wyliodrin.B11000010_swigconstant(_wyliodrin)
B11000010 = _wyliodrin.B11000010

_wyliodrin.B11000011_swigconstant(_wyliodrin)
B11000011 = _wyliodrin.B11000011

_wyliodrin.B11000100_swigconstant(_wyliodrin)
B11000100 = _wyliodrin.B11000100

_wyliodrin.B11000101_swigconstant(_wyliodrin)
B11000101 = _wyliodrin.B11000101

_wyliodrin.B11000110_swigconstant(_wyliodrin)
B11000110 = _wyliodrin.B11000110

_wyliodrin.B11000111_swigconstant(_wyliodrin)
B11000111 = _wyliodrin.B11000111

_wyliodrin.B11001000_swigconstant(_wyliodrin)
B11001000 = _wyliodrin.B11001000

_wyliodrin.B11001001_swigconstant(_wyliodrin)
B11001001 = _wyliodrin.B11001001

_wyliodrin.B11001010_swigconstant(_wyliodrin)
B11001010 = _wyliodrin.B11001010

_wyliodrin.B11001011_swigconstant(_wyliodrin)
B11001011 = _wyliodrin.B11001011

_wyliodrin.B11001100_swigconstant(_wyliodrin)
B11001100 = _wyliodrin.B11001100

_wyliodrin.B11001101_swigconstant(_wyliodrin)
B11001101 = _wyliodrin.B11001101

_wyliodrin.B11001110_swigconstant(_wyliodrin)
B11001110 = _wyliodrin.B11001110

_wyliodrin.B11001111_swigconstant(_wyliodrin)
B11001111 = _wyliodrin.B11001111

_wyliodrin.B11010000_swigconstant(_wyliodrin)
B11010000 = _wyliodrin.B11010000

_wyliodrin.B11010001_swigconstant(_wyliodrin)
B11010001 = _wyliodrin.B11010001

_wyliodrin.B11010010_swigconstant(_wyliodrin)
B11010010 = _wyliodrin.B11010010

_wyliodrin.B11010011_swigconstant(_wyliodrin)
B11010011 = _wyliodrin.B11010011

_wyliodrin.B11010100_swigconstant(_wyliodrin)
B11010100 = _wyliodrin.B11010100

_wyliodrin.B11010101_swigconstant(_wyliodrin)
B11010101 = _wyliodrin.B11010101

_wyliodrin.B11010110_swigconstant(_wyliodrin)
B11010110 = _wyliodrin.B11010110

_wyliodrin.B11010111_swigconstant(_wyliodrin)
B11010111 = _wyliodrin.B11010111

_wyliodrin.B11011000_swigconstant(_wyliodrin)
B11011000 = _wyliodrin.B11011000

_wyliodrin.B11011001_swigconstant(_wyliodrin)
B11011001 = _wyliodrin.B11011001

_wyliodrin.B11011010_swigconstant(_wyliodrin)
B11011010 = _wyliodrin.B11011010

_wyliodrin.B11011011_swigconstant(_wyliodrin)
B11011011 = _wyliodrin.B11011011

_wyliodrin.B11011100_swigconstant(_wyliodrin)
B11011100 = _wyliodrin.B11011100

_wyliodrin.B11011101_swigconstant(_wyliodrin)
B11011101 = _wyliodrin.B11011101

_wyliodrin.B11011110_swigconstant(_wyliodrin)
B11011110 = _wyliodrin.B11011110

_wyliodrin.B11011111_swigconstant(_wyliodrin)
B11011111 = _wyliodrin.B11011111

_wyliodrin.B11100000_swigconstant(_wyliodrin)
B11100000 = _wyliodrin.B11100000

_wyliodrin.B11100001_swigconstant(_wyliodrin)
B11100001 = _wyliodrin.B11100001

_wyliodrin.B11100010_swigconstant(_wyliodrin)
B11100010 = _wyliodrin.B11100010

_wyliodrin.B11100011_swigconstant(_wyliodrin)
B11100011 = _wyliodrin.B11100011

_wyliodrin.B11100100_swigconstant(_wyliodrin)
B11100100 = _wyliodrin.B11100100

_wyliodrin.B11100101_swigconstant(_wyliodrin)
B11100101 = _wyliodrin.B11100101

_wyliodrin.B11100110_swigconstant(_wyliodrin)
B11100110 = _wyliodrin.B11100110

_wyliodrin.B11100111_swigconstant(_wyliodrin)
B11100111 = _wyliodrin.B11100111

_wyliodrin.B11101000_swigconstant(_wyliodrin)
B11101000 = _wyliodrin.B11101000

_wyliodrin.B11101001_swigconstant(_wyliodrin)
B11101001 = _wyliodrin.B11101001

_wyliodrin.B11101010_swigconstant(_wyliodrin)
B11101010 = _wyliodrin.B11101010

_wyliodrin.B11101011_swigconstant(_wyliodrin)
B11101011 = _wyliodrin.B11101011

_wyliodrin.B11101100_swigconstant(_wyliodrin)
B11101100 = _wyliodrin.B11101100

_wyliodrin.B11101101_swigconstant(_wyliodrin)
B11101101 = _wyliodrin.B11101101

_wyliodrin.B11101110_swigconstant(_wyliodrin)
B11101110 = _wyliodrin.B11101110

_wyliodrin.B11101111_swigconstant(_wyliodrin)
B11101111 = _wyliodrin.B11101111

_wyliodrin.B11110000_swigconstant(_wyliodrin)
B11110000 = _wyliodrin.B11110000

_wyliodrin.B11110001_swigconstant(_wyliodrin)
B11110001 = _wyliodrin.B11110001

_wyliodrin.B11110010_swigconstant(_wyliodrin)
B11110010 = _wyliodrin.B11110010

_wyliodrin.B11110011_swigconstant(_wyliodrin)
B11110011 = _wyliodrin.B11110011

_wyliodrin.B11110100_swigconstant(_wyliodrin)
B11110100 = _wyliodrin.B11110100

_wyliodrin.B11110101_swigconstant(_wyliodrin)
B11110101 = _wyliodrin.B11110101

_wyliodrin.B11110110_swigconstant(_wyliodrin)
B11110110 = _wyliodrin.B11110110

_wyliodrin.B11110111_swigconstant(_wyliodrin)
B11110111 = _wyliodrin.B11110111

_wyliodrin.B11111000_swigconstant(_wyliodrin)
B11111000 = _wyliodrin.B11111000

_wyliodrin.B11111001_swigconstant(_wyliodrin)
B11111001 = _wyliodrin.B11111001

_wyliodrin.B11111010_swigconstant(_wyliodrin)
B11111010 = _wyliodrin.B11111010

_wyliodrin.B11111011_swigconstant(_wyliodrin)
B11111011 = _wyliodrin.B11111011

_wyliodrin.B11111100_swigconstant(_wyliodrin)
B11111100 = _wyliodrin.B11111100

_wyliodrin.B11111101_swigconstant(_wyliodrin)
B11111101 = _wyliodrin.B11111101

_wyliodrin.B11111110_swigconstant(_wyliodrin)
B11111110 = _wyliodrin.B11111110

_wyliodrin.B11111111_swigconstant(_wyliodrin)
B11111111 = _wyliodrin.B11111111

def lowByte(w):
    return _wyliodrin.lowByte(w)
lowByte = _wyliodrin.lowByte

def highByte(w):
    return _wyliodrin.highByte(w)
highByte = _wyliodrin.highByte

def bitRead(value, bit):
    return _wyliodrin.bitRead(value, bit)
bitRead = _wyliodrin.bitRead

def bitSet(value, bit):
    return _wyliodrin.bitSet(value, bit)
bitSet = _wyliodrin.bitSet

def bitClear(value, bit):
    return _wyliodrin.bitClear(value, bit)
bitClear = _wyliodrin.bitClear

def bitWrite(value, bit, bitvalue):
    return _wyliodrin.bitWrite(value, bit, bitvalue)
bitWrite = _wyliodrin.bitWrite

def bit(b):
    return _wyliodrin.bit(b)
bit = _wyliodrin.bit

def initSignal(port, pId, sId, userid):
    return _wyliodrin.initSignal(port, pId, sId, userid)
initSignal = _wyliodrin.initSignal

def sendSignal(name, value):
    return _wyliodrin.sendSignal(name, value)
sendSignal = _wyliodrin.sendSignal

def sendSignalAndFlag(flag, name, value):
    return _wyliodrin.sendSignalAndFlag(flag, name, value)
sendSignalAndFlag = _wyliodrin.sendSignalAndFlag

def sendSignalsAndFlag(flag, name, value):
    return _wyliodrin.sendSignalsAndFlag(flag, name, value)
sendSignalsAndFlag = _wyliodrin.sendSignalsAndFlag

def sendSignals(name, value):
    return _wyliodrin.sendSignals(name, value)
sendSignals = _wyliodrin.sendSignals

def putFlag(sigal, flag):
    return _wyliodrin.putFlag(sigal, flag)
putFlag = _wyliodrin.putFlag

def sendSignalsList(names, values, elements):
    return _wyliodrin.sendSignalsList(names, values, elements)
sendSignalsList = _wyliodrin.sendSignalsList

def sendSignalsListAndFlag(flag, names, values, elements):
    return _wyliodrin.sendSignalsListAndFlag(flag, names, values, elements)
sendSignalsListAndFlag = _wyliodrin.sendSignalsListAndFlag

def sendCoordinates(name, latitude, longitude):
    return _wyliodrin.sendCoordinates(name, latitude, longitude)
sendCoordinates = _wyliodrin.sendCoordinates

def sendCoordinatesAndFlag(name, latitude, longitude, flag):
    return _wyliodrin.sendCoordinatesAndFlag(name, latitude, longitude, flag)
sendCoordinatesAndFlag = _wyliodrin.sendCoordinatesAndFlag

_wyliodrin.MAX_LCDS_swigconstant(_wyliodrin)
MAX_LCDS = _wyliodrin.MAX_LCDS

def lcdHome(fd):
    return _wyliodrin.lcdHome(fd)
lcdHome = _wyliodrin.lcdHome

def lcdClear(fd):
    return _wyliodrin.lcdClear(fd)
lcdClear = _wyliodrin.lcdClear

def lcdDisplay(fd, state):
    return _wyliodrin.lcdDisplay(fd, state)
lcdDisplay = _wyliodrin.lcdDisplay

def lcdCursor(fd, state):
    return _wyliodrin.lcdCursor(fd, state)
lcdCursor = _wyliodrin.lcdCursor

def lcdCursorBlink(fd, state):
    return _wyliodrin.lcdCursorBlink(fd, state)
lcdCursorBlink = _wyliodrin.lcdCursorBlink

def lcdSendCommand(fd, command):
    return _wyliodrin.lcdSendCommand(fd, command)
lcdSendCommand = _wyliodrin.lcdSendCommand

def lcdPosition(fd, x, y):
    return _wyliodrin.lcdPosition(fd, x, y)
lcdPosition = _wyliodrin.lcdPosition

def lcdCharDef(fd, index, data):
    return _wyliodrin.lcdCharDef(fd, index, data)
lcdCharDef = _wyliodrin.lcdCharDef

def lcdPutchar(fd, data):
    return _wyliodrin.lcdPutchar(fd, data)
lcdPutchar = _wyliodrin.lcdPutchar

def lcdPuts(fd, string):
    return _wyliodrin.lcdPuts(fd, string)
lcdPuts = _wyliodrin.lcdPuts

def lcdPrintf(fd, message):
    return _wyliodrin.lcdPrintf(fd, message)
lcdPrintf = _wyliodrin.lcdPrintf

def lcdInit(rows, cols, bits, rs, strb, d0, d1, d2, d3, d4, d5, d6, d7):
    return _wyliodrin.lcdInit(rows, cols, bits, rs, strb, d0, d1, d2, d3, d4, d5, d6, d7)
lcdInit = _wyliodrin.lcdInit

_wyliodrin.DEC_swigconstant(_wyliodrin)
DEC = _wyliodrin.DEC

_wyliodrin.HEX_swigconstant(_wyliodrin)
HEX = _wyliodrin.HEX

_wyliodrin.OCT_swigconstant(_wyliodrin)
OCT = _wyliodrin.OCT

_wyliodrin.BIN_swigconstant(_wyliodrin)
BIN = _wyliodrin.BIN
class Print(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Print, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Print, name)

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr

    def getWriteError(self):
        return _wyliodrin.Print_getWriteError(self)

    def clearWriteError(self):
        return _wyliodrin.Print_clearWriteError(self)

    def write(self, *args):
        return _wyliodrin.Print_write(self, *args)

    def _print(self, *args):
        return _wyliodrin.Print__print(self, *args)

    def println(self, *args):
        return _wyliodrin.Print_println(self, *args)
    __swig_destroy__ = _wyliodrin.delete_Print
    __del__ = lambda self: None
Print_swigregister = _wyliodrin.Print_swigregister
Print_swigregister(Print)

class Stream(Print):
    __swig_setmethods__ = {}
    for _s in [Print]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Stream, name, value)
    __swig_getmethods__ = {}
    for _s in [Print]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Stream, name)

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr

    def available(self):
        return _wyliodrin.Stream_available(self)

    def read(self):
        return _wyliodrin.Stream_read(self)

    def peek(self):
        return _wyliodrin.Stream_peek(self)

    def flush(self):
        return _wyliodrin.Stream_flush(self)

    def setTimeout(self, timeout):
        return _wyliodrin.Stream_setTimeout(self, timeout)

    def find(self, *args):
        return _wyliodrin.Stream_find(self, *args)

    def findUntil(self, *args):
        return _wyliodrin.Stream_findUntil(self, *args)

    def parseInt(self):
        return _wyliodrin.Stream_parseInt(self)

    def parseFloat(self):
        return _wyliodrin.Stream_parseFloat(self)

    def readBytes(self, buffer, length):
        return _wyliodrin.Stream_readBytes(self, buffer, length)

    def readBytesUntil(self, terminator, buffer, length):
        return _wyliodrin.Stream_readBytesUntil(self, terminator, buffer, length)

    def readString(self):
        return _wyliodrin.Stream_readString(self)

    def readStringUntil(self, terminator):
        return _wyliodrin.Stream_readStringUntil(self, terminator)
    __swig_destroy__ = _wyliodrin.delete_Stream
    __del__ = lambda self: None
Stream_swigregister = _wyliodrin.Stream_swigregister
Stream_swigregister(Stream)


_wyliodrin.SPI_CLOCK_DIV4_swigconstant(_wyliodrin)
SPI_CLOCK_DIV4 = _wyliodrin.SPI_CLOCK_DIV4

_wyliodrin.SPI_CLOCK_DIV16_swigconstant(_wyliodrin)
SPI_CLOCK_DIV16 = _wyliodrin.SPI_CLOCK_DIV16

_wyliodrin.SPI_CLOCK_DIV64_swigconstant(_wyliodrin)
SPI_CLOCK_DIV64 = _wyliodrin.SPI_CLOCK_DIV64

_wyliodrin.SPI_CLOCK_DIV128_swigconstant(_wyliodrin)
SPI_CLOCK_DIV128 = _wyliodrin.SPI_CLOCK_DIV128

_wyliodrin.SPI_CLOCK_DIV2_swigconstant(_wyliodrin)
SPI_CLOCK_DIV2 = _wyliodrin.SPI_CLOCK_DIV2

_wyliodrin.SPI_CLOCK_DIV8_swigconstant(_wyliodrin)
SPI_CLOCK_DIV8 = _wyliodrin.SPI_CLOCK_DIV8

_wyliodrin.SPI_CLOCK_DIV32_swigconstant(_wyliodrin)
SPI_CLOCK_DIV32 = _wyliodrin.SPI_CLOCK_DIV32

_wyliodrin.SPI_MODE0_swigconstant(_wyliodrin)
SPI_MODE0 = _wyliodrin.SPI_MODE0

_wyliodrin.SPI_MODE1_swigconstant(_wyliodrin)
SPI_MODE1 = _wyliodrin.SPI_MODE1

_wyliodrin.SPI_MODE2_swigconstant(_wyliodrin)
SPI_MODE2 = _wyliodrin.SPI_MODE2

_wyliodrin.SPI_MODE3_swigconstant(_wyliodrin)
SPI_MODE3 = _wyliodrin.SPI_MODE3
class SPIClass(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, SPIClass, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, SPIClass, name)
    __repr__ = _swig_repr

    def __init__(self):
        this = _wyliodrin.new_SPIClass()
        try:
            self.this.append(this)
        except:
            self.this = this

    def transfer(self, _data):
        return _wyliodrin.SPIClass_transfer(self, _data)

    def transferBuffer(self, arg2, arg3, arg4):
        return _wyliodrin.SPIClass_transferBuffer(self, arg2, arg3, arg4)

    def attachInterrupt(self):
        return _wyliodrin.SPIClass_attachInterrupt(self)

    def detachInterrupt(self):
        return _wyliodrin.SPIClass_detachInterrupt(self)

    def begin(self):
        return _wyliodrin.SPIClass_begin(self)

    def end(self):
        return _wyliodrin.SPIClass_end(self)

    def setBitOrder(self, arg2):
        return _wyliodrin.SPIClass_setBitOrder(self, arg2)

    def setDataMode(self, arg2):
        return _wyliodrin.SPIClass_setDataMode(self, arg2)

    def setClockDivider(self, arg2):
        return _wyliodrin.SPIClass_setClockDivider(self, arg2)
    __swig_destroy__ = _wyliodrin.delete_SPIClass
    __del__ = lambda self: None
SPIClass_swigregister = _wyliodrin.SPIClass_swigregister
SPIClass_swigregister(SPIClass)


_wyliodrin.BUFFER_LENGTH_swigconstant(_wyliodrin)
BUFFER_LENGTH = _wyliodrin.BUFFER_LENGTH

_wyliodrin.I2C2_swigconstant(_wyliodrin)
I2C2 = _wyliodrin.I2C2

_wyliodrin.I2C1_swigconstant(_wyliodrin)
I2C1 = _wyliodrin.I2C1

_wyliodrin.WIRE_INTERFACES_COUNT_swigconstant(_wyliodrin)
WIRE_INTERFACES_COUNT = _wyliodrin.WIRE_INTERFACES_COUNT
class TwoWire(Stream):
    __swig_setmethods__ = {}
    for _s in [Stream]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, TwoWire, name, value)
    __swig_getmethods__ = {}
    for _s in [Stream]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, TwoWire, name)
    __repr__ = _swig_repr

    def __init__(self, begin_cb):
        this = _wyliodrin.new_TwoWire(begin_cb)
        try:
            self.this.append(this)
        except:
            self.this = this

    def begin(self, *args):
        return _wyliodrin.TwoWire_begin(self, *args)

    def beginTransmission(self, *args):
        return _wyliodrin.TwoWire_beginTransmission(self, *args)

    def endTransmission(self, *args):
        return _wyliodrin.TwoWire_endTransmission(self, *args)

    def requestFrom(self, *args):
        return _wyliodrin.TwoWire_requestFrom(self, *args)

    def available(self):
        return _wyliodrin.TwoWire_available(self)

    def read(self):
        return _wyliodrin.TwoWire_read(self)

    def peek(self):
        return _wyliodrin.TwoWire_peek(self)

    def flush(self):
        return _wyliodrin.TwoWire_flush(self)

    def onReceive(self, arg2):
        return _wyliodrin.TwoWire_onReceive(self, arg2)

    def onRequest(self, arg2):
        return _wyliodrin.TwoWire_onRequest(self, arg2)

    def write(self, *args):
        return _wyliodrin.TwoWire_write(self, *args)

    def onService(self):
        return _wyliodrin.TwoWire_onService(self)
    __swig_destroy__ = _wyliodrin.delete_TwoWire
    __del__ = lambda self: None
TwoWire_swigregister = _wyliodrin.TwoWire_swigregister
TwoWire_swigregister(TwoWire)
cvar = _wyliodrin.cvar


_wyliodrin.MIN_ANGLE_swigconstant(_wyliodrin)
MIN_ANGLE = _wyliodrin.MIN_ANGLE

_wyliodrin.MAX_ANGLE_swigconstant(_wyliodrin)
MAX_ANGLE = _wyliodrin.MAX_ANGLE

_wyliodrin.MIN_PULSE_WIDTH_swigconstant(_wyliodrin)
MIN_PULSE_WIDTH = _wyliodrin.MIN_PULSE_WIDTH

_wyliodrin.MAX_PULSE_WIDTH_swigconstant(_wyliodrin)
MAX_PULSE_WIDTH = _wyliodrin.MAX_PULSE_WIDTH

_wyliodrin.DEFAULT_PULSE_WIDTH_swigconstant(_wyliodrin)
DEFAULT_PULSE_WIDTH = _wyliodrin.DEFAULT_PULSE_WIDTH

_wyliodrin.INVALID_SERVO_swigconstant(_wyliodrin)
INVALID_SERVO = _wyliodrin.INVALID_SERVO

_wyliodrin.MAX_NUMBER_OF_SERVOS_swigconstant(_wyliodrin)
MAX_NUMBER_OF_SERVOS = _wyliodrin.MAX_NUMBER_OF_SERVOS

_wyliodrin.MY_TRACE_PREFIX_swigconstant(_wyliodrin)
MY_TRACE_PREFIX = _wyliodrin.MY_TRACE_PREFIX

_wyliodrin.MAX_PERIOD_swigconstant(_wyliodrin)
MAX_PERIOD = _wyliodrin.MAX_PERIOD
class Servo(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Servo, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Servo, name)
    __repr__ = _swig_repr

    def __init__(self):
        this = _wyliodrin.new_Servo()
        try:
            self.this.append(this)
        except:
            self.this = this

    def attach(self, *args):
        return _wyliodrin.Servo_attach(self, *args)

    def detach(self):
        return _wyliodrin.Servo_detach(self)

    def write(self, val):
        return _wyliodrin.Servo_write(self, val)

    def writeMicroseconds(self, value):
        return _wyliodrin.Servo_writeMicroseconds(self, value)

    def read(self):
        return _wyliodrin.Servo_read(self)

    def readMicroseconds(self):
        return _wyliodrin.Servo_readMicroseconds(self)

    def attached(self):
        return _wyliodrin.Servo_attached(self)

    def set48hz(self):
        return _wyliodrin.Servo_set48hz(self)

    def set188hz(self):
        return _wyliodrin.Servo_set188hz(self)
    __swig_destroy__ = _wyliodrin.delete_Servo
    __del__ = lambda self: None
Servo_swigregister = _wyliodrin.Servo_swigregister
Servo_swigregister(Servo)

class Stepper(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Stepper, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Stepper, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _wyliodrin.new_Stepper(*args)
        try:
            self.this.append(this)
        except:
            self.this = this

    def setSpeed(self, whatSpeed):
        return _wyliodrin.Stepper_setSpeed(self, whatSpeed)

    def step(self, number_of_steps):
        return _wyliodrin.Stepper_step(self, number_of_steps)

    def version(self):
        return _wyliodrin.Stepper_version(self)
    __swig_destroy__ = _wyliodrin.delete_Stepper
    __del__ = lambda self: None
Stepper_swigregister = _wyliodrin.Stepper_swigregister
Stepper_swigregister(Stepper)


_wyliodrin.LCD_ADDRESS_swigconstant(_wyliodrin)
LCD_ADDRESS = _wyliodrin.LCD_ADDRESS

_wyliodrin.RGB_ADDRESS_swigconstant(_wyliodrin)
RGB_ADDRESS = _wyliodrin.RGB_ADDRESS

_wyliodrin.WHITE_swigconstant(_wyliodrin)
WHITE = _wyliodrin.WHITE

_wyliodrin.RED_swigconstant(_wyliodrin)
RED = _wyliodrin.RED

_wyliodrin.GREEN_swigconstant(_wyliodrin)
GREEN = _wyliodrin.GREEN

_wyliodrin.BLUE_swigconstant(_wyliodrin)
BLUE = _wyliodrin.BLUE

_wyliodrin.REG_RED_swigconstant(_wyliodrin)
REG_RED = _wyliodrin.REG_RED

_wyliodrin.REG_GREEN_swigconstant(_wyliodrin)
REG_GREEN = _wyliodrin.REG_GREEN

_wyliodrin.REG_BLUE_swigconstant(_wyliodrin)
REG_BLUE = _wyliodrin.REG_BLUE

_wyliodrin.REG_MODE1_swigconstant(_wyliodrin)
REG_MODE1 = _wyliodrin.REG_MODE1

_wyliodrin.REG_MODE2_swigconstant(_wyliodrin)
REG_MODE2 = _wyliodrin.REG_MODE2

_wyliodrin.REG_OUTPUT_swigconstant(_wyliodrin)
REG_OUTPUT = _wyliodrin.REG_OUTPUT

_wyliodrin.LCD_CLEARDISPLAY_swigconstant(_wyliodrin)
LCD_CLEARDISPLAY = _wyliodrin.LCD_CLEARDISPLAY

_wyliodrin.LCD_RETURNHOME_swigconstant(_wyliodrin)
LCD_RETURNHOME = _wyliodrin.LCD_RETURNHOME

_wyliodrin.LCD_ENTRYMODESET_swigconstant(_wyliodrin)
LCD_ENTRYMODESET = _wyliodrin.LCD_ENTRYMODESET

_wyliodrin.LCD_DISPLAYCONTROL_swigconstant(_wyliodrin)
LCD_DISPLAYCONTROL = _wyliodrin.LCD_DISPLAYCONTROL

_wyliodrin.LCD_CURSORSHIFT_swigconstant(_wyliodrin)
LCD_CURSORSHIFT = _wyliodrin.LCD_CURSORSHIFT

_wyliodrin.LCD_FUNCTIONSET_swigconstant(_wyliodrin)
LCD_FUNCTIONSET = _wyliodrin.LCD_FUNCTIONSET

_wyliodrin.LCD_SETCGRAMADDR_swigconstant(_wyliodrin)
LCD_SETCGRAMADDR = _wyliodrin.LCD_SETCGRAMADDR

_wyliodrin.LCD_SETDDRAMADDR_swigconstant(_wyliodrin)
LCD_SETDDRAMADDR = _wyliodrin.LCD_SETDDRAMADDR

_wyliodrin.LCD_ENTRYRIGHT_swigconstant(_wyliodrin)
LCD_ENTRYRIGHT = _wyliodrin.LCD_ENTRYRIGHT

_wyliodrin.LCD_ENTRYLEFT_swigconstant(_wyliodrin)
LCD_ENTRYLEFT = _wyliodrin.LCD_ENTRYLEFT

_wyliodrin.LCD_ENTRYSHIFTINCREMENT_swigconstant(_wyliodrin)
LCD_ENTRYSHIFTINCREMENT = _wyliodrin.LCD_ENTRYSHIFTINCREMENT

_wyliodrin.LCD_ENTRYSHIFTDECREMENT_swigconstant(_wyliodrin)
LCD_ENTRYSHIFTDECREMENT = _wyliodrin.LCD_ENTRYSHIFTDECREMENT

_wyliodrin.LCD_DISPLAYON_swigconstant(_wyliodrin)
LCD_DISPLAYON = _wyliodrin.LCD_DISPLAYON

_wyliodrin.LCD_DISPLAYOFF_swigconstant(_wyliodrin)
LCD_DISPLAYOFF = _wyliodrin.LCD_DISPLAYOFF

_wyliodrin.LCD_CURSORON_swigconstant(_wyliodrin)
LCD_CURSORON = _wyliodrin.LCD_CURSORON

_wyliodrin.LCD_CURSOROFF_swigconstant(_wyliodrin)
LCD_CURSOROFF = _wyliodrin.LCD_CURSOROFF

_wyliodrin.LCD_BLINKON_swigconstant(_wyliodrin)
LCD_BLINKON = _wyliodrin.LCD_BLINKON

_wyliodrin.LCD_BLINKOFF_swigconstant(_wyliodrin)
LCD_BLINKOFF = _wyliodrin.LCD_BLINKOFF

_wyliodrin.LCD_DISPLAYMOVE_swigconstant(_wyliodrin)
LCD_DISPLAYMOVE = _wyliodrin.LCD_DISPLAYMOVE

_wyliodrin.LCD_CURSORMOVE_swigconstant(_wyliodrin)
LCD_CURSORMOVE = _wyliodrin.LCD_CURSORMOVE

_wyliodrin.LCD_MOVERIGHT_swigconstant(_wyliodrin)
LCD_MOVERIGHT = _wyliodrin.LCD_MOVERIGHT

_wyliodrin.LCD_MOVELEFT_swigconstant(_wyliodrin)
LCD_MOVELEFT = _wyliodrin.LCD_MOVELEFT

_wyliodrin.LCD_8BITMODE_swigconstant(_wyliodrin)
LCD_8BITMODE = _wyliodrin.LCD_8BITMODE

_wyliodrin.LCD_4BITMODE_swigconstant(_wyliodrin)
LCD_4BITMODE = _wyliodrin.LCD_4BITMODE

_wyliodrin.LCD_2LINE_swigconstant(_wyliodrin)
LCD_2LINE = _wyliodrin.LCD_2LINE

_wyliodrin.LCD_1LINE_swigconstant(_wyliodrin)
LCD_1LINE = _wyliodrin.LCD_1LINE

_wyliodrin.LCD_5x10DOTS_swigconstant(_wyliodrin)
LCD_5x10DOTS = _wyliodrin.LCD_5x10DOTS

_wyliodrin.LCD_5x8DOTS_swigconstant(_wyliodrin)
LCD_5x8DOTS = _wyliodrin.LCD_5x8DOTS
class rgb_lcd(Print):
    __swig_setmethods__ = {}
    for _s in [Print]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, rgb_lcd, name, value)
    __swig_getmethods__ = {}
    for _s in [Print]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, rgb_lcd, name)
    __repr__ = _swig_repr

    def __init__(self):
        this = _wyliodrin.new_rgb_lcd()
        try:
            self.this.append(this)
        except:
            self.this = this

    def begin(self, cols, rows, charsize=0x00):
        return _wyliodrin.rgb_lcd_begin(self, cols, rows, charsize)

    def clear(self):
        return _wyliodrin.rgb_lcd_clear(self)

    def home(self):
        return _wyliodrin.rgb_lcd_home(self)

    def noDisplay(self):
        return _wyliodrin.rgb_lcd_noDisplay(self)

    def display(self):
        return _wyliodrin.rgb_lcd_display(self)

    def noBlink(self):
        return _wyliodrin.rgb_lcd_noBlink(self)

    def blink(self):
        return _wyliodrin.rgb_lcd_blink(self)

    def noCursor(self):
        return _wyliodrin.rgb_lcd_noCursor(self)

    def cursor(self):
        return _wyliodrin.rgb_lcd_cursor(self)

    def scrollDisplayLeft(self):
        return _wyliodrin.rgb_lcd_scrollDisplayLeft(self)

    def scrollDisplayRight(self):
        return _wyliodrin.rgb_lcd_scrollDisplayRight(self)

    def leftToRight(self):
        return _wyliodrin.rgb_lcd_leftToRight(self)

    def rightToLeft(self):
        return _wyliodrin.rgb_lcd_rightToLeft(self)

    def autoscroll(self):
        return _wyliodrin.rgb_lcd_autoscroll(self)

    def noAutoscroll(self):
        return _wyliodrin.rgb_lcd_noAutoscroll(self)

    def createChar(self, arg2, arg3):
        return _wyliodrin.rgb_lcd_createChar(self, arg2, arg3)

    def setCursor(self, arg2, arg3):
        return _wyliodrin.rgb_lcd_setCursor(self, arg2, arg3)

    def command(self, arg2):
        return _wyliodrin.rgb_lcd_command(self, arg2)

    def setRGB(self, r, g, b):
        return _wyliodrin.rgb_lcd_setRGB(self, r, g, b)

    def setPWM(self, color, pwm):
        return _wyliodrin.rgb_lcd_setPWM(self, color, pwm)

    def setColor(self, color):
        return _wyliodrin.rgb_lcd_setColor(self, color)

    def setColorAll(self):
        return _wyliodrin.rgb_lcd_setColorAll(self)

    def setColorWhite(self):
        return _wyliodrin.rgb_lcd_setColorWhite(self)

    def write(self, *args):
        return _wyliodrin.rgb_lcd_write(self, *args)
    __swig_destroy__ = _wyliodrin.delete_rgb_lcd
    __del__ = lambda self: None
rgb_lcd_swigregister = _wyliodrin.rgb_lcd_swigregister
rgb_lcd_swigregister(rgb_lcd)


_wyliodrin.PIXY_SYNC_BYTE_swigconstant(_wyliodrin)
PIXY_SYNC_BYTE = _wyliodrin.PIXY_SYNC_BYTE

_wyliodrin.PIXY_SYNC_BYTE_DATA_swigconstant(_wyliodrin)
PIXY_SYNC_BYTE_DATA = _wyliodrin.PIXY_SYNC_BYTE_DATA

_wyliodrin.PIXY_OUTBUF_SIZE_swigconstant(_wyliodrin)
PIXY_OUTBUF_SIZE = _wyliodrin.PIXY_OUTBUF_SIZE
class LinkSPI(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, LinkSPI, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, LinkSPI, name)
    __repr__ = _swig_repr

    def init(self):
        return _wyliodrin.LinkSPI_init(self)

    def getWord(self):
        return _wyliodrin.LinkSPI_getWord(self)

    def getByte(self):
        return _wyliodrin.LinkSPI_getByte(self)

    def send(self, data, len):
        return _wyliodrin.LinkSPI_send(self, data, len)

    def setAddress(self, addr):
        return _wyliodrin.LinkSPI_setAddress(self, addr)

    def __init__(self):
        this = _wyliodrin.new_LinkSPI()
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _wyliodrin.delete_LinkSPI
    __del__ = lambda self: None
LinkSPI_swigregister = _wyliodrin.LinkSPI_swigregister
LinkSPI_swigregister(LinkSPI)


_wyliodrin.PIXY_INITIAL_ARRAYSIZE_swigconstant(_wyliodrin)
PIXY_INITIAL_ARRAYSIZE = _wyliodrin.PIXY_INITIAL_ARRAYSIZE

_wyliodrin.PIXY_MAXIMUM_ARRAYSIZE_swigconstant(_wyliodrin)
PIXY_MAXIMUM_ARRAYSIZE = _wyliodrin.PIXY_MAXIMUM_ARRAYSIZE

_wyliodrin.PIXY_START_WORD_swigconstant(_wyliodrin)
PIXY_START_WORD = _wyliodrin.PIXY_START_WORD

_wyliodrin.PIXY_START_WORD_CC_swigconstant(_wyliodrin)
PIXY_START_WORD_CC = _wyliodrin.PIXY_START_WORD_CC

_wyliodrin.PIXY_START_WORDX_swigconstant(_wyliodrin)
PIXY_START_WORDX = _wyliodrin.PIXY_START_WORDX

_wyliodrin.PIXY_DEFAULT_ADDR_swigconstant(_wyliodrin)
PIXY_DEFAULT_ADDR = _wyliodrin.PIXY_DEFAULT_ADDR

_wyliodrin.NORMAL_BLOCK_swigconstant(_wyliodrin)
NORMAL_BLOCK = _wyliodrin.NORMAL_BLOCK

_wyliodrin.CC_BLOCK_swigconstant(_wyliodrin)
CC_BLOCK = _wyliodrin.CC_BLOCK
class Block(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Block, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Block, name)
    __repr__ = _swig_repr

    def _print(self):
        return _wyliodrin.Block__print(self)
    __swig_setmethods__["signature"] = _wyliodrin.Block_signature_set
    __swig_getmethods__["signature"] = _wyliodrin.Block_signature_get
    if _newclass:
        signature = _swig_property(_wyliodrin.Block_signature_get, _wyliodrin.Block_signature_set)
    __swig_setmethods__["x"] = _wyliodrin.Block_x_set
    __swig_getmethods__["x"] = _wyliodrin.Block_x_get
    if _newclass:
        x = _swig_property(_wyliodrin.Block_x_get, _wyliodrin.Block_x_set)
    __swig_setmethods__["y"] = _wyliodrin.Block_y_set
    __swig_getmethods__["y"] = _wyliodrin.Block_y_get
    if _newclass:
        y = _swig_property(_wyliodrin.Block_y_get, _wyliodrin.Block_y_set)
    __swig_setmethods__["width"] = _wyliodrin.Block_width_set
    __swig_getmethods__["width"] = _wyliodrin.Block_width_get
    if _newclass:
        width = _swig_property(_wyliodrin.Block_width_get, _wyliodrin.Block_width_set)
    __swig_setmethods__["height"] = _wyliodrin.Block_height_set
    __swig_getmethods__["height"] = _wyliodrin.Block_height_get
    if _newclass:
        height = _swig_property(_wyliodrin.Block_height_get, _wyliodrin.Block_height_set)
    __swig_setmethods__["angle"] = _wyliodrin.Block_angle_set
    __swig_getmethods__["angle"] = _wyliodrin.Block_angle_get
    if _newclass:
        angle = _swig_property(_wyliodrin.Block_angle_get, _wyliodrin.Block_angle_set)

    def __init__(self):
        this = _wyliodrin.new_Block()
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _wyliodrin.delete_Block
    __del__ = lambda self: None
Block_swigregister = _wyliodrin.Block_swigregister
Block_swigregister(Block)

class Adafruit_GFX(Print):
    __swig_setmethods__ = {}
    for _s in [Print]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Adafruit_GFX, name, value)
    __swig_getmethods__ = {}
    for _s in [Print]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Adafruit_GFX, name)

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr

    def drawPixel(self, x, y, color):
        return _wyliodrin.Adafruit_GFX_drawPixel(self, x, y, color)

    def drawLine(self, x0, y0, x1, y1, color):
        return _wyliodrin.Adafruit_GFX_drawLine(self, x0, y0, x1, y1, color)

    def drawFastVLine(self, x, y, h, color):
        return _wyliodrin.Adafruit_GFX_drawFastVLine(self, x, y, h, color)

    def drawFastHLine(self, x, y, w, color):
        return _wyliodrin.Adafruit_GFX_drawFastHLine(self, x, y, w, color)

    def drawRect(self, x, y, w, h, color):
        return _wyliodrin.Adafruit_GFX_drawRect(self, x, y, w, h, color)

    def fillRect(self, x, y, w, h, color):
        return _wyliodrin.Adafruit_GFX_fillRect(self, x, y, w, h, color)

    def fillScreen(self, color):
        return _wyliodrin.Adafruit_GFX_fillScreen(self, color)

    def invertDisplay(self, i):
        return _wyliodrin.Adafruit_GFX_invertDisplay(self, i)

    def drawCircle(self, x0, y0, r, color):
        return _wyliodrin.Adafruit_GFX_drawCircle(self, x0, y0, r, color)

    def drawCircleHelper(self, x0, y0, r, cornername, color):
        return _wyliodrin.Adafruit_GFX_drawCircleHelper(self, x0, y0, r, cornername, color)

    def fillCircle(self, x0, y0, r, color):
        return _wyliodrin.Adafruit_GFX_fillCircle(self, x0, y0, r, color)

    def fillCircleHelper(self, x0, y0, r, cornername, delta, color):
        return _wyliodrin.Adafruit_GFX_fillCircleHelper(self, x0, y0, r, cornername, delta, color)

    def drawTriangle(self, x0, y0, x1, y1, x2, y2, color):
        return _wyliodrin.Adafruit_GFX_drawTriangle(self, x0, y0, x1, y1, x2, y2, color)

    def fillTriangle(self, x0, y0, x1, y1, x2, y2, color):
        return _wyliodrin.Adafruit_GFX_fillTriangle(self, x0, y0, x1, y1, x2, y2, color)

    def drawRoundRect(self, x0, y0, w, h, radius, color):
        return _wyliodrin.Adafruit_GFX_drawRoundRect(self, x0, y0, w, h, radius, color)

    def fillRoundRect(self, x0, y0, w, h, radius, color):
        return _wyliodrin.Adafruit_GFX_fillRoundRect(self, x0, y0, w, h, radius, color)

    def drawBitmap(self, x, y, bitmap, w, h, color):
        return _wyliodrin.Adafruit_GFX_drawBitmap(self, x, y, bitmap, w, h, color)

    def drawChar(self, x, y, c, color, bg, size):
        return _wyliodrin.Adafruit_GFX_drawChar(self, x, y, c, color, bg, size)

    def setCursor(self, x, y):
        return _wyliodrin.Adafruit_GFX_setCursor(self, x, y)

    def setTextColor(self, *args):
        return _wyliodrin.Adafruit_GFX_setTextColor(self, *args)

    def setTextSize(self, s):
        return _wyliodrin.Adafruit_GFX_setTextSize(self, s)

    def setTextWrap(self, w):
        return _wyliodrin.Adafruit_GFX_setTextWrap(self, w)

    def setRotation(self, r):
        return _wyliodrin.Adafruit_GFX_setRotation(self, r)

    def write(self, arg2):
        return _wyliodrin.Adafruit_GFX_write(self, arg2)

    def height(self):
        return _wyliodrin.Adafruit_GFX_height(self)

    def width(self):
        return _wyliodrin.Adafruit_GFX_width(self)

    def getRotation(self):
        return _wyliodrin.Adafruit_GFX_getRotation(self)
    __swig_destroy__ = _wyliodrin.delete_Adafruit_GFX
    __del__ = lambda self: None
Adafruit_GFX_swigregister = _wyliodrin.Adafruit_GFX_swigregister
Adafruit_GFX_swigregister(Adafruit_GFX)


_wyliodrin.BLACK_swigconstant(_wyliodrin)
BLACK = _wyliodrin.BLACK

_wyliodrin.LCDWIDTH_swigconstant(_wyliodrin)
LCDWIDTH = _wyliodrin.LCDWIDTH

_wyliodrin.LCDHEIGHT_swigconstant(_wyliodrin)
LCDHEIGHT = _wyliodrin.LCDHEIGHT

_wyliodrin.PCD8544_POWERDOWN_swigconstant(_wyliodrin)
PCD8544_POWERDOWN = _wyliodrin.PCD8544_POWERDOWN

_wyliodrin.PCD8544_ENTRYMODE_swigconstant(_wyliodrin)
PCD8544_ENTRYMODE = _wyliodrin.PCD8544_ENTRYMODE

_wyliodrin.PCD8544_EXTENDEDINSTRUCTION_swigconstant(_wyliodrin)
PCD8544_EXTENDEDINSTRUCTION = _wyliodrin.PCD8544_EXTENDEDINSTRUCTION

_wyliodrin.PCD8544_DISPLAYBLANK_swigconstant(_wyliodrin)
PCD8544_DISPLAYBLANK = _wyliodrin.PCD8544_DISPLAYBLANK

_wyliodrin.PCD8544_DISPLAYNORMAL_swigconstant(_wyliodrin)
PCD8544_DISPLAYNORMAL = _wyliodrin.PCD8544_DISPLAYNORMAL

_wyliodrin.PCD8544_DISPLAYALLON_swigconstant(_wyliodrin)
PCD8544_DISPLAYALLON = _wyliodrin.PCD8544_DISPLAYALLON

_wyliodrin.PCD8544_DISPLAYINVERTED_swigconstant(_wyliodrin)
PCD8544_DISPLAYINVERTED = _wyliodrin.PCD8544_DISPLAYINVERTED

_wyliodrin.PCD8544_FUNCTIONSET_swigconstant(_wyliodrin)
PCD8544_FUNCTIONSET = _wyliodrin.PCD8544_FUNCTIONSET

_wyliodrin.PCD8544_DISPLAYCONTROL_swigconstant(_wyliodrin)
PCD8544_DISPLAYCONTROL = _wyliodrin.PCD8544_DISPLAYCONTROL

_wyliodrin.PCD8544_SETYADDR_swigconstant(_wyliodrin)
PCD8544_SETYADDR = _wyliodrin.PCD8544_SETYADDR

_wyliodrin.PCD8544_SETXADDR_swigconstant(_wyliodrin)
PCD8544_SETXADDR = _wyliodrin.PCD8544_SETXADDR

_wyliodrin.PCD8544_SETTEMP_swigconstant(_wyliodrin)
PCD8544_SETTEMP = _wyliodrin.PCD8544_SETTEMP

_wyliodrin.PCD8544_SETBIAS_swigconstant(_wyliodrin)
PCD8544_SETBIAS = _wyliodrin.PCD8544_SETBIAS

_wyliodrin.PCD8544_SETVOP_swigconstant(_wyliodrin)
PCD8544_SETVOP = _wyliodrin.PCD8544_SETVOP

_wyliodrin.PCD8544_SPI_CLOCK_DIV_swigconstant(_wyliodrin)
PCD8544_SPI_CLOCK_DIV = _wyliodrin.PCD8544_SPI_CLOCK_DIV
class Adafruit_PCD8544(Adafruit_GFX):
    __swig_setmethods__ = {}
    for _s in [Adafruit_GFX]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Adafruit_PCD8544, name, value)
    __swig_getmethods__ = {}
    for _s in [Adafruit_GFX]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Adafruit_PCD8544, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _wyliodrin.new_Adafruit_PCD8544(*args)
        try:
            self.this.append(this)
        except:
            self.this = this

    def begin(self, contrast=40, bias=0x04):
        return _wyliodrin.Adafruit_PCD8544_begin(self, contrast, bias)

    def command(self, c):
        return _wyliodrin.Adafruit_PCD8544_command(self, c)

    def data(self, c):
        return _wyliodrin.Adafruit_PCD8544_data(self, c)

    def setContrast(self, val):
        return _wyliodrin.Adafruit_PCD8544_setContrast(self, val)

    def clearDisplay(self):
        return _wyliodrin.Adafruit_PCD8544_clearDisplay(self)

    def display(self):
        return _wyliodrin.Adafruit_PCD8544_display(self)

    def drawPixel(self, x, y, color):
        return _wyliodrin.Adafruit_PCD8544_drawPixel(self, x, y, color)

    def getPixel(self, x, y):
        return _wyliodrin.Adafruit_PCD8544_getPixel(self, x, y)
    __swig_destroy__ = _wyliodrin.delete_Adafruit_PCD8544
    __del__ = lambda self: None
Adafruit_PCD8544_swigregister = _wyliodrin.Adafruit_PCD8544_swigregister
Adafruit_PCD8544_swigregister(Adafruit_PCD8544)


_wyliodrin.INITR_GREENTAB_swigconstant(_wyliodrin)
INITR_GREENTAB = _wyliodrin.INITR_GREENTAB

_wyliodrin.INITR_REDTAB_swigconstant(_wyliodrin)
INITR_REDTAB = _wyliodrin.INITR_REDTAB

_wyliodrin.INITR_BLACKTAB_swigconstant(_wyliodrin)
INITR_BLACKTAB = _wyliodrin.INITR_BLACKTAB

_wyliodrin.ST7735_TFTWIDTH_swigconstant(_wyliodrin)
ST7735_TFTWIDTH = _wyliodrin.ST7735_TFTWIDTH

_wyliodrin.ST7735_TFTHEIGHT_swigconstant(_wyliodrin)
ST7735_TFTHEIGHT = _wyliodrin.ST7735_TFTHEIGHT

_wyliodrin.ST7735_NOP_swigconstant(_wyliodrin)
ST7735_NOP = _wyliodrin.ST7735_NOP

_wyliodrin.ST7735_SWRESET_swigconstant(_wyliodrin)
ST7735_SWRESET = _wyliodrin.ST7735_SWRESET

_wyliodrin.ST7735_RDDID_swigconstant(_wyliodrin)
ST7735_RDDID = _wyliodrin.ST7735_RDDID

_wyliodrin.ST7735_RDDST_swigconstant(_wyliodrin)
ST7735_RDDST = _wyliodrin.ST7735_RDDST

_wyliodrin.ST7735_SLPIN_swigconstant(_wyliodrin)
ST7735_SLPIN = _wyliodrin.ST7735_SLPIN

_wyliodrin.ST7735_SLPOUT_swigconstant(_wyliodrin)
ST7735_SLPOUT = _wyliodrin.ST7735_SLPOUT

_wyliodrin.ST7735_PTLON_swigconstant(_wyliodrin)
ST7735_PTLON = _wyliodrin.ST7735_PTLON

_wyliodrin.ST7735_NORON_swigconstant(_wyliodrin)
ST7735_NORON = _wyliodrin.ST7735_NORON

_wyliodrin.ST7735_INVOFF_swigconstant(_wyliodrin)
ST7735_INVOFF = _wyliodrin.ST7735_INVOFF

_wyliodrin.ST7735_INVON_swigconstant(_wyliodrin)
ST7735_INVON = _wyliodrin.ST7735_INVON

_wyliodrin.ST7735_DISPOFF_swigconstant(_wyliodrin)
ST7735_DISPOFF = _wyliodrin.ST7735_DISPOFF

_wyliodrin.ST7735_DISPON_swigconstant(_wyliodrin)
ST7735_DISPON = _wyliodrin.ST7735_DISPON

_wyliodrin.ST7735_CASET_swigconstant(_wyliodrin)
ST7735_CASET = _wyliodrin.ST7735_CASET

_wyliodrin.ST7735_RASET_swigconstant(_wyliodrin)
ST7735_RASET = _wyliodrin.ST7735_RASET

_wyliodrin.ST7735_RAMWR_swigconstant(_wyliodrin)
ST7735_RAMWR = _wyliodrin.ST7735_RAMWR

_wyliodrin.ST7735_RAMRD_swigconstant(_wyliodrin)
ST7735_RAMRD = _wyliodrin.ST7735_RAMRD

_wyliodrin.ST7735_PTLAR_swigconstant(_wyliodrin)
ST7735_PTLAR = _wyliodrin.ST7735_PTLAR

_wyliodrin.ST7735_COLMOD_swigconstant(_wyliodrin)
ST7735_COLMOD = _wyliodrin.ST7735_COLMOD

_wyliodrin.ST7735_MADCTL_swigconstant(_wyliodrin)
ST7735_MADCTL = _wyliodrin.ST7735_MADCTL

_wyliodrin.ST7735_FRMCTR1_swigconstant(_wyliodrin)
ST7735_FRMCTR1 = _wyliodrin.ST7735_FRMCTR1

_wyliodrin.ST7735_FRMCTR2_swigconstant(_wyliodrin)
ST7735_FRMCTR2 = _wyliodrin.ST7735_FRMCTR2

_wyliodrin.ST7735_FRMCTR3_swigconstant(_wyliodrin)
ST7735_FRMCTR3 = _wyliodrin.ST7735_FRMCTR3

_wyliodrin.ST7735_INVCTR_swigconstant(_wyliodrin)
ST7735_INVCTR = _wyliodrin.ST7735_INVCTR

_wyliodrin.ST7735_DISSET5_swigconstant(_wyliodrin)
ST7735_DISSET5 = _wyliodrin.ST7735_DISSET5

_wyliodrin.ST7735_PWCTR1_swigconstant(_wyliodrin)
ST7735_PWCTR1 = _wyliodrin.ST7735_PWCTR1

_wyliodrin.ST7735_PWCTR2_swigconstant(_wyliodrin)
ST7735_PWCTR2 = _wyliodrin.ST7735_PWCTR2

_wyliodrin.ST7735_PWCTR3_swigconstant(_wyliodrin)
ST7735_PWCTR3 = _wyliodrin.ST7735_PWCTR3

_wyliodrin.ST7735_PWCTR4_swigconstant(_wyliodrin)
ST7735_PWCTR4 = _wyliodrin.ST7735_PWCTR4

_wyliodrin.ST7735_PWCTR5_swigconstant(_wyliodrin)
ST7735_PWCTR5 = _wyliodrin.ST7735_PWCTR5

_wyliodrin.ST7735_VMCTR1_swigconstant(_wyliodrin)
ST7735_VMCTR1 = _wyliodrin.ST7735_VMCTR1

_wyliodrin.ST7735_RDID1_swigconstant(_wyliodrin)
ST7735_RDID1 = _wyliodrin.ST7735_RDID1

_wyliodrin.ST7735_RDID2_swigconstant(_wyliodrin)
ST7735_RDID2 = _wyliodrin.ST7735_RDID2

_wyliodrin.ST7735_RDID3_swigconstant(_wyliodrin)
ST7735_RDID3 = _wyliodrin.ST7735_RDID3

_wyliodrin.ST7735_RDID4_swigconstant(_wyliodrin)
ST7735_RDID4 = _wyliodrin.ST7735_RDID4

_wyliodrin.ST7735_PWCTR6_swigconstant(_wyliodrin)
ST7735_PWCTR6 = _wyliodrin.ST7735_PWCTR6

_wyliodrin.ST7735_GMCTRP1_swigconstant(_wyliodrin)
ST7735_GMCTRP1 = _wyliodrin.ST7735_GMCTRP1

_wyliodrin.ST7735_GMCTRN1_swigconstant(_wyliodrin)
ST7735_GMCTRN1 = _wyliodrin.ST7735_GMCTRN1

_wyliodrin.ST7735_BLACK_swigconstant(_wyliodrin)
ST7735_BLACK = _wyliodrin.ST7735_BLACK

_wyliodrin.ST7735_BLUE_swigconstant(_wyliodrin)
ST7735_BLUE = _wyliodrin.ST7735_BLUE

_wyliodrin.ST7735_RED_swigconstant(_wyliodrin)
ST7735_RED = _wyliodrin.ST7735_RED

_wyliodrin.ST7735_GREEN_swigconstant(_wyliodrin)
ST7735_GREEN = _wyliodrin.ST7735_GREEN

_wyliodrin.ST7735_CYAN_swigconstant(_wyliodrin)
ST7735_CYAN = _wyliodrin.ST7735_CYAN

_wyliodrin.ST7735_MAGENTA_swigconstant(_wyliodrin)
ST7735_MAGENTA = _wyliodrin.ST7735_MAGENTA

_wyliodrin.ST7735_YELLOW_swigconstant(_wyliodrin)
ST7735_YELLOW = _wyliodrin.ST7735_YELLOW

_wyliodrin.ST7735_WHITE_swigconstant(_wyliodrin)
ST7735_WHITE = _wyliodrin.ST7735_WHITE
class Adafruit_ST7735(Adafruit_GFX):
    __swig_setmethods__ = {}
    for _s in [Adafruit_GFX]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Adafruit_ST7735, name, value)
    __swig_getmethods__ = {}
    for _s in [Adafruit_GFX]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Adafruit_ST7735, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _wyliodrin.new_Adafruit_ST7735(*args)
        try:
            self.this.append(this)
        except:
            self.this = this

    def initB(self):
        return _wyliodrin.Adafruit_ST7735_initB(self)

    def initR(self, options=0x0):
        return _wyliodrin.Adafruit_ST7735_initR(self, options)

    def setAddrWindow(self, x0, y0, x1, y1):
        return _wyliodrin.Adafruit_ST7735_setAddrWindow(self, x0, y0, x1, y1)

    def pushColor(self, color):
        return _wyliodrin.Adafruit_ST7735_pushColor(self, color)

    def fillScreen(self, color):
        return _wyliodrin.Adafruit_ST7735_fillScreen(self, color)

    def drawPixel(self, x, y, color):
        return _wyliodrin.Adafruit_ST7735_drawPixel(self, x, y, color)

    def drawFastVLine(self, x, y, h, color):
        return _wyliodrin.Adafruit_ST7735_drawFastVLine(self, x, y, h, color)

    def drawFastHLine(self, x, y, w, color):
        return _wyliodrin.Adafruit_ST7735_drawFastHLine(self, x, y, w, color)

    def fillRect(self, x, y, w, h, color):
        return _wyliodrin.Adafruit_ST7735_fillRect(self, x, y, w, h, color)

    def setRotation(self, r):
        return _wyliodrin.Adafruit_ST7735_setRotation(self, r)

    def invertDisplay(self, i):
        return _wyliodrin.Adafruit_ST7735_invertDisplay(self, i)

    def Color565(self, r, g, b):
        return _wyliodrin.Adafruit_ST7735_Color565(self, r, g, b)
    __swig_destroy__ = _wyliodrin.delete_Adafruit_ST7735
    __del__ = lambda self: None
Adafruit_ST7735_swigregister = _wyliodrin.Adafruit_ST7735_swigregister
Adafruit_ST7735_swigregister(Adafruit_ST7735)


_wyliodrin.LED_ON_swigconstant(_wyliodrin)
LED_ON = _wyliodrin.LED_ON

_wyliodrin.LED_OFF_swigconstant(_wyliodrin)
LED_OFF = _wyliodrin.LED_OFF

_wyliodrin.LED_RED_swigconstant(_wyliodrin)
LED_RED = _wyliodrin.LED_RED

_wyliodrin.LED_YELLOW_swigconstant(_wyliodrin)
LED_YELLOW = _wyliodrin.LED_YELLOW

_wyliodrin.LED_GREEN_swigconstant(_wyliodrin)
LED_GREEN = _wyliodrin.LED_GREEN

_wyliodrin.HT16K33_BLINK_CMD_swigconstant(_wyliodrin)
HT16K33_BLINK_CMD = _wyliodrin.HT16K33_BLINK_CMD

_wyliodrin.HT16K33_BLINK_DISPLAYON_swigconstant(_wyliodrin)
HT16K33_BLINK_DISPLAYON = _wyliodrin.HT16K33_BLINK_DISPLAYON

_wyliodrin.HT16K33_BLINK_OFF_swigconstant(_wyliodrin)
HT16K33_BLINK_OFF = _wyliodrin.HT16K33_BLINK_OFF

_wyliodrin.HT16K33_BLINK_2HZ_swigconstant(_wyliodrin)
HT16K33_BLINK_2HZ = _wyliodrin.HT16K33_BLINK_2HZ

_wyliodrin.HT16K33_BLINK_1HZ_swigconstant(_wyliodrin)
HT16K33_BLINK_1HZ = _wyliodrin.HT16K33_BLINK_1HZ

_wyliodrin.HT16K33_BLINK_HALFHZ_swigconstant(_wyliodrin)
HT16K33_BLINK_HALFHZ = _wyliodrin.HT16K33_BLINK_HALFHZ

_wyliodrin.HT16K33_CMD_BRIGHTNESS_swigconstant(_wyliodrin)
HT16K33_CMD_BRIGHTNESS = _wyliodrin.HT16K33_CMD_BRIGHTNESS

_wyliodrin.SEVENSEG_DIGITS_swigconstant(_wyliodrin)
SEVENSEG_DIGITS = _wyliodrin.SEVENSEG_DIGITS
class Adafruit_LEDBackpack(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Adafruit_LEDBackpack, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Adafruit_LEDBackpack, name)
    __repr__ = _swig_repr

    def __init__(self):
        this = _wyliodrin.new_Adafruit_LEDBackpack()
        try:
            self.this.append(this)
        except:
            self.this = this

    def begin(self, _addr):
        return _wyliodrin.Adafruit_LEDBackpack_begin(self, _addr)

    def setBrightness(self, b):
        return _wyliodrin.Adafruit_LEDBackpack_setBrightness(self, b)

    def blinkRate(self, b):
        return _wyliodrin.Adafruit_LEDBackpack_blinkRate(self, b)

    def writeDisplay(self):
        return _wyliodrin.Adafruit_LEDBackpack_writeDisplay(self)

    def clear(self):
        return _wyliodrin.Adafruit_LEDBackpack_clear(self)
    __swig_setmethods__["displaybuffer"] = _wyliodrin.Adafruit_LEDBackpack_displaybuffer_set
    __swig_getmethods__["displaybuffer"] = _wyliodrin.Adafruit_LEDBackpack_displaybuffer_get
    if _newclass:
        displaybuffer = _swig_property(_wyliodrin.Adafruit_LEDBackpack_displaybuffer_get, _wyliodrin.Adafruit_LEDBackpack_displaybuffer_set)
    __swig_destroy__ = _wyliodrin.delete_Adafruit_LEDBackpack
    __del__ = lambda self: None
Adafruit_LEDBackpack_swigregister = _wyliodrin.Adafruit_LEDBackpack_swigregister
Adafruit_LEDBackpack_swigregister(Adafruit_LEDBackpack)

class Adafruit_AlphaNum4(Adafruit_LEDBackpack):
    __swig_setmethods__ = {}
    for _s in [Adafruit_LEDBackpack]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Adafruit_AlphaNum4, name, value)
    __swig_getmethods__ = {}
    for _s in [Adafruit_LEDBackpack]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Adafruit_AlphaNum4, name)
    __repr__ = _swig_repr

    def __init__(self):
        this = _wyliodrin.new_Adafruit_AlphaNum4()
        try:
            self.this.append(this)
        except:
            self.this = this

    def writeDigitRaw(self, n, bitmask):
        return _wyliodrin.Adafruit_AlphaNum4_writeDigitRaw(self, n, bitmask)

    def writeDigitAscii(self, n, ascii, dot=False):
        return _wyliodrin.Adafruit_AlphaNum4_writeDigitAscii(self, n, ascii, dot)
    __swig_destroy__ = _wyliodrin.delete_Adafruit_AlphaNum4
    __del__ = lambda self: None
Adafruit_AlphaNum4_swigregister = _wyliodrin.Adafruit_AlphaNum4_swigregister
Adafruit_AlphaNum4_swigregister(Adafruit_AlphaNum4)

class Adafruit_24bargraph(Adafruit_LEDBackpack):
    __swig_setmethods__ = {}
    for _s in [Adafruit_LEDBackpack]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Adafruit_24bargraph, name, value)
    __swig_getmethods__ = {}
    for _s in [Adafruit_LEDBackpack]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Adafruit_24bargraph, name)
    __repr__ = _swig_repr

    def __init__(self):
        this = _wyliodrin.new_Adafruit_24bargraph()
        try:
            self.this.append(this)
        except:
            self.this = this

    def setBar(self, bar, color):
        return _wyliodrin.Adafruit_24bargraph_setBar(self, bar, color)
    __swig_destroy__ = _wyliodrin.delete_Adafruit_24bargraph
    __del__ = lambda self: None
Adafruit_24bargraph_swigregister = _wyliodrin.Adafruit_24bargraph_swigregister
Adafruit_24bargraph_swigregister(Adafruit_24bargraph)

class Adafruit_8x16matrix(Adafruit_LEDBackpack, Adafruit_GFX):
    __swig_setmethods__ = {}
    for _s in [Adafruit_LEDBackpack, Adafruit_GFX]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Adafruit_8x16matrix, name, value)
    __swig_getmethods__ = {}
    for _s in [Adafruit_LEDBackpack, Adafruit_GFX]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Adafruit_8x16matrix, name)
    __repr__ = _swig_repr

    def __init__(self):
        this = _wyliodrin.new_Adafruit_8x16matrix()
        try:
            self.this.append(this)
        except:
            self.this = this

    def drawPixel(self, x, y, color):
        return _wyliodrin.Adafruit_8x16matrix_drawPixel(self, x, y, color)
    __swig_destroy__ = _wyliodrin.delete_Adafruit_8x16matrix
    __del__ = lambda self: None
Adafruit_8x16matrix_swigregister = _wyliodrin.Adafruit_8x16matrix_swigregister
Adafruit_8x16matrix_swigregister(Adafruit_8x16matrix)

class Adafruit_8x8matrix(Adafruit_LEDBackpack, Adafruit_GFX):
    __swig_setmethods__ = {}
    for _s in [Adafruit_LEDBackpack, Adafruit_GFX]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Adafruit_8x8matrix, name, value)
    __swig_getmethods__ = {}
    for _s in [Adafruit_LEDBackpack, Adafruit_GFX]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Adafruit_8x8matrix, name)
    __repr__ = _swig_repr

    def __init__(self):
        this = _wyliodrin.new_Adafruit_8x8matrix()
        try:
            self.this.append(this)
        except:
            self.this = this

    def drawPixel(self, x, y, color):
        return _wyliodrin.Adafruit_8x8matrix_drawPixel(self, x, y, color)
    __swig_destroy__ = _wyliodrin.delete_Adafruit_8x8matrix
    __del__ = lambda self: None
Adafruit_8x8matrix_swigregister = _wyliodrin.Adafruit_8x8matrix_swigregister
Adafruit_8x8matrix_swigregister(Adafruit_8x8matrix)

class Adafruit_BicolorMatrix(Adafruit_LEDBackpack, Adafruit_GFX):
    __swig_setmethods__ = {}
    for _s in [Adafruit_LEDBackpack, Adafruit_GFX]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Adafruit_BicolorMatrix, name, value)
    __swig_getmethods__ = {}
    for _s in [Adafruit_LEDBackpack, Adafruit_GFX]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Adafruit_BicolorMatrix, name)
    __repr__ = _swig_repr

    def __init__(self):
        this = _wyliodrin.new_Adafruit_BicolorMatrix()
        try:
            self.this.append(this)
        except:
            self.this = this

    def drawPixel(self, x, y, color):
        return _wyliodrin.Adafruit_BicolorMatrix_drawPixel(self, x, y, color)
    __swig_destroy__ = _wyliodrin.delete_Adafruit_BicolorMatrix
    __del__ = lambda self: None
Adafruit_BicolorMatrix_swigregister = _wyliodrin.Adafruit_BicolorMatrix_swigregister
Adafruit_BicolorMatrix_swigregister(Adafruit_BicolorMatrix)


_wyliodrin.BYTE_swigconstant(_wyliodrin)
BYTE = _wyliodrin.BYTE
class Adafruit_7segment(Adafruit_LEDBackpack):
    __swig_setmethods__ = {}
    for _s in [Adafruit_LEDBackpack]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Adafruit_7segment, name, value)
    __swig_getmethods__ = {}
    for _s in [Adafruit_LEDBackpack]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Adafruit_7segment, name)
    __repr__ = _swig_repr

    def __init__(self):
        this = _wyliodrin.new_Adafruit_7segment()
        try:
            self.this.append(this)
        except:
            self.this = this

    def write(self, c):
        return _wyliodrin.Adafruit_7segment_write(self, c)

    def _print(self, *args):
        return _wyliodrin.Adafruit_7segment__print(self, *args)

    def println(self, *args):
        return _wyliodrin.Adafruit_7segment_println(self, *args)

    def writeDigitRaw(self, x, bitmask):
        return _wyliodrin.Adafruit_7segment_writeDigitRaw(self, x, bitmask)

    def writeDigitNum(self, x, num, dot=False):
        return _wyliodrin.Adafruit_7segment_writeDigitNum(self, x, num, dot)

    def drawColon(self, state):
        return _wyliodrin.Adafruit_7segment_drawColon(self, state)

    def printNumber(self, arg2, arg3=2):
        return _wyliodrin.Adafruit_7segment_printNumber(self, arg2, arg3)

    def printFloat(self, arg2, arg3=2, arg4=10):
        return _wyliodrin.Adafruit_7segment_printFloat(self, arg2, arg3, arg4)

    def printError(self):
        return _wyliodrin.Adafruit_7segment_printError(self)

    def writeColon(self):
        return _wyliodrin.Adafruit_7segment_writeColon(self)
    __swig_destroy__ = _wyliodrin.delete_Adafruit_7segment
    __del__ = lambda self: None
Adafruit_7segment_swigregister = _wyliodrin.Adafruit_7segment_swigregister
Adafruit_7segment_swigregister(Adafruit_7segment)


_wyliodrin.SENSORS_GRAVITY_EARTH_swigconstant(_wyliodrin)
SENSORS_GRAVITY_EARTH = _wyliodrin.SENSORS_GRAVITY_EARTH

_wyliodrin.SENSORS_GRAVITY_MOON_swigconstant(_wyliodrin)
SENSORS_GRAVITY_MOON = _wyliodrin.SENSORS_GRAVITY_MOON

_wyliodrin.SENSORS_GRAVITY_SUN_swigconstant(_wyliodrin)
SENSORS_GRAVITY_SUN = _wyliodrin.SENSORS_GRAVITY_SUN

_wyliodrin.SENSORS_GRAVITY_STANDARD_swigconstant(_wyliodrin)
SENSORS_GRAVITY_STANDARD = _wyliodrin.SENSORS_GRAVITY_STANDARD

_wyliodrin.SENSORS_MAGFIELD_EARTH_MAX_swigconstant(_wyliodrin)
SENSORS_MAGFIELD_EARTH_MAX = _wyliodrin.SENSORS_MAGFIELD_EARTH_MAX

_wyliodrin.SENSORS_MAGFIELD_EARTH_MIN_swigconstant(_wyliodrin)
SENSORS_MAGFIELD_EARTH_MIN = _wyliodrin.SENSORS_MAGFIELD_EARTH_MIN

_wyliodrin.SENSORS_PRESSURE_SEALEVELHPA_swigconstant(_wyliodrin)
SENSORS_PRESSURE_SEALEVELHPA = _wyliodrin.SENSORS_PRESSURE_SEALEVELHPA

_wyliodrin.SENSORS_DPS_TO_RADS_swigconstant(_wyliodrin)
SENSORS_DPS_TO_RADS = _wyliodrin.SENSORS_DPS_TO_RADS

_wyliodrin.SENSORS_GAUSS_TO_MICROTESLA_swigconstant(_wyliodrin)
SENSORS_GAUSS_TO_MICROTESLA = _wyliodrin.SENSORS_GAUSS_TO_MICROTESLA

_wyliodrin.SENSOR_TYPE_ACCELEROMETER_swigconstant(_wyliodrin)
SENSOR_TYPE_ACCELEROMETER = _wyliodrin.SENSOR_TYPE_ACCELEROMETER

_wyliodrin.SENSOR_TYPE_MAGNETIC_FIELD_swigconstant(_wyliodrin)
SENSOR_TYPE_MAGNETIC_FIELD = _wyliodrin.SENSOR_TYPE_MAGNETIC_FIELD

_wyliodrin.SENSOR_TYPE_ORIENTATION_swigconstant(_wyliodrin)
SENSOR_TYPE_ORIENTATION = _wyliodrin.SENSOR_TYPE_ORIENTATION

_wyliodrin.SENSOR_TYPE_GYROSCOPE_swigconstant(_wyliodrin)
SENSOR_TYPE_GYROSCOPE = _wyliodrin.SENSOR_TYPE_GYROSCOPE

_wyliodrin.SENSOR_TYPE_LIGHT_swigconstant(_wyliodrin)
SENSOR_TYPE_LIGHT = _wyliodrin.SENSOR_TYPE_LIGHT

_wyliodrin.SENSOR_TYPE_PRESSURE_swigconstant(_wyliodrin)
SENSOR_TYPE_PRESSURE = _wyliodrin.SENSOR_TYPE_PRESSURE

_wyliodrin.SENSOR_TYPE_PROXIMITY_swigconstant(_wyliodrin)
SENSOR_TYPE_PROXIMITY = _wyliodrin.SENSOR_TYPE_PROXIMITY

_wyliodrin.SENSOR_TYPE_GRAVITY_swigconstant(_wyliodrin)
SENSOR_TYPE_GRAVITY = _wyliodrin.SENSOR_TYPE_GRAVITY

_wyliodrin.SENSOR_TYPE_LINEAR_ACCELERATION_swigconstant(_wyliodrin)
SENSOR_TYPE_LINEAR_ACCELERATION = _wyliodrin.SENSOR_TYPE_LINEAR_ACCELERATION

_wyliodrin.SENSOR_TYPE_ROTATION_VECTOR_swigconstant(_wyliodrin)
SENSOR_TYPE_ROTATION_VECTOR = _wyliodrin.SENSOR_TYPE_ROTATION_VECTOR

_wyliodrin.SENSOR_TYPE_RELATIVE_HUMIDITY_swigconstant(_wyliodrin)
SENSOR_TYPE_RELATIVE_HUMIDITY = _wyliodrin.SENSOR_TYPE_RELATIVE_HUMIDITY

_wyliodrin.SENSOR_TYPE_AMBIENT_TEMPERATURE_swigconstant(_wyliodrin)
SENSOR_TYPE_AMBIENT_TEMPERATURE = _wyliodrin.SENSOR_TYPE_AMBIENT_TEMPERATURE

_wyliodrin.SENSOR_TYPE_VOLTAGE_swigconstant(_wyliodrin)
SENSOR_TYPE_VOLTAGE = _wyliodrin.SENSOR_TYPE_VOLTAGE

_wyliodrin.SENSOR_TYPE_CURRENT_swigconstant(_wyliodrin)
SENSOR_TYPE_CURRENT = _wyliodrin.SENSOR_TYPE_CURRENT

_wyliodrin.SENSOR_TYPE_COLOR_swigconstant(_wyliodrin)
SENSOR_TYPE_COLOR = _wyliodrin.SENSOR_TYPE_COLOR
class sensors_vec_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, sensors_vec_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, sensors_vec_t, name)
    __repr__ = _swig_repr
    __swig_setmethods__["status"] = _wyliodrin.sensors_vec_t_status_set
    __swig_getmethods__["status"] = _wyliodrin.sensors_vec_t_status_get
    if _newclass:
        status = _swig_property(_wyliodrin.sensors_vec_t_status_get, _wyliodrin.sensors_vec_t_status_set)
    __swig_setmethods__["reserved"] = _wyliodrin.sensors_vec_t_reserved_set
    __swig_getmethods__["reserved"] = _wyliodrin.sensors_vec_t_reserved_get
    if _newclass:
        reserved = _swig_property(_wyliodrin.sensors_vec_t_reserved_get, _wyliodrin.sensors_vec_t_reserved_set)

    def __init__(self):
        this = _wyliodrin.new_sensors_vec_t()
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _wyliodrin.delete_sensors_vec_t
    __del__ = lambda self: None
sensors_vec_t_swigregister = _wyliodrin.sensors_vec_t_swigregister
sensors_vec_t_swigregister(sensors_vec_t)

class sensors_color_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, sensors_color_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, sensors_color_t, name)
    __repr__ = _swig_repr
    __swig_setmethods__["rgba"] = _wyliodrin.sensors_color_t_rgba_set
    __swig_getmethods__["rgba"] = _wyliodrin.sensors_color_t_rgba_get
    if _newclass:
        rgba = _swig_property(_wyliodrin.sensors_color_t_rgba_get, _wyliodrin.sensors_color_t_rgba_set)

    def __init__(self):
        this = _wyliodrin.new_sensors_color_t()
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _wyliodrin.delete_sensors_color_t
    __del__ = lambda self: None
sensors_color_t_swigregister = _wyliodrin.sensors_color_t_swigregister
sensors_color_t_swigregister(sensors_color_t)

class sensors_event_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, sensors_event_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, sensors_event_t, name)
    __repr__ = _swig_repr
    __swig_setmethods__["version"] = _wyliodrin.sensors_event_t_version_set
    __swig_getmethods__["version"] = _wyliodrin.sensors_event_t_version_get
    if _newclass:
        version = _swig_property(_wyliodrin.sensors_event_t_version_get, _wyliodrin.sensors_event_t_version_set)
    __swig_setmethods__["sensor_id"] = _wyliodrin.sensors_event_t_sensor_id_set
    __swig_getmethods__["sensor_id"] = _wyliodrin.sensors_event_t_sensor_id_get
    if _newclass:
        sensor_id = _swig_property(_wyliodrin.sensors_event_t_sensor_id_get, _wyliodrin.sensors_event_t_sensor_id_set)
    __swig_setmethods__["type"] = _wyliodrin.sensors_event_t_type_set
    __swig_getmethods__["type"] = _wyliodrin.sensors_event_t_type_get
    if _newclass:
        type = _swig_property(_wyliodrin.sensors_event_t_type_get, _wyliodrin.sensors_event_t_type_set)
    __swig_setmethods__["reserved0"] = _wyliodrin.sensors_event_t_reserved0_set
    __swig_getmethods__["reserved0"] = _wyliodrin.sensors_event_t_reserved0_get
    if _newclass:
        reserved0 = _swig_property(_wyliodrin.sensors_event_t_reserved0_get, _wyliodrin.sensors_event_t_reserved0_set)
    __swig_setmethods__["timestamp"] = _wyliodrin.sensors_event_t_timestamp_set
    __swig_getmethods__["timestamp"] = _wyliodrin.sensors_event_t_timestamp_get
    if _newclass:
        timestamp = _swig_property(_wyliodrin.sensors_event_t_timestamp_get, _wyliodrin.sensors_event_t_timestamp_set)

    def __init__(self):
        this = _wyliodrin.new_sensors_event_t()
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _wyliodrin.delete_sensors_event_t
    __del__ = lambda self: None
sensors_event_t_swigregister = _wyliodrin.sensors_event_t_swigregister
sensors_event_t_swigregister(sensors_event_t)

class sensor_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, sensor_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, sensor_t, name)
    __repr__ = _swig_repr
    __swig_setmethods__["name"] = _wyliodrin.sensor_t_name_set
    __swig_getmethods__["name"] = _wyliodrin.sensor_t_name_get
    if _newclass:
        name = _swig_property(_wyliodrin.sensor_t_name_get, _wyliodrin.sensor_t_name_set)
    __swig_setmethods__["version"] = _wyliodrin.sensor_t_version_set
    __swig_getmethods__["version"] = _wyliodrin.sensor_t_version_get
    if _newclass:
        version = _swig_property(_wyliodrin.sensor_t_version_get, _wyliodrin.sensor_t_version_set)
    __swig_setmethods__["sensor_id"] = _wyliodrin.sensor_t_sensor_id_set
    __swig_getmethods__["sensor_id"] = _wyliodrin.sensor_t_sensor_id_get
    if _newclass:
        sensor_id = _swig_property(_wyliodrin.sensor_t_sensor_id_get, _wyliodrin.sensor_t_sensor_id_set)
    __swig_setmethods__["type"] = _wyliodrin.sensor_t_type_set
    __swig_getmethods__["type"] = _wyliodrin.sensor_t_type_get
    if _newclass:
        type = _swig_property(_wyliodrin.sensor_t_type_get, _wyliodrin.sensor_t_type_set)
    __swig_setmethods__["max_value"] = _wyliodrin.sensor_t_max_value_set
    __swig_getmethods__["max_value"] = _wyliodrin.sensor_t_max_value_get
    if _newclass:
        max_value = _swig_property(_wyliodrin.sensor_t_max_value_get, _wyliodrin.sensor_t_max_value_set)
    __swig_setmethods__["min_value"] = _wyliodrin.sensor_t_min_value_set
    __swig_getmethods__["min_value"] = _wyliodrin.sensor_t_min_value_get
    if _newclass:
        min_value = _swig_property(_wyliodrin.sensor_t_min_value_get, _wyliodrin.sensor_t_min_value_set)
    __swig_setmethods__["resolution"] = _wyliodrin.sensor_t_resolution_set
    __swig_getmethods__["resolution"] = _wyliodrin.sensor_t_resolution_get
    if _newclass:
        resolution = _swig_property(_wyliodrin.sensor_t_resolution_get, _wyliodrin.sensor_t_resolution_set)
    __swig_setmethods__["min_delay"] = _wyliodrin.sensor_t_min_delay_set
    __swig_getmethods__["min_delay"] = _wyliodrin.sensor_t_min_delay_get
    if _newclass:
        min_delay = _swig_property(_wyliodrin.sensor_t_min_delay_get, _wyliodrin.sensor_t_min_delay_set)

    def __init__(self):
        this = _wyliodrin.new_sensor_t()
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _wyliodrin.delete_sensor_t
    __del__ = lambda self: None
sensor_t_swigregister = _wyliodrin.sensor_t_swigregister
sensor_t_swigregister(sensor_t)


_wyliodrin.BMP085_ADDRESS_swigconstant(_wyliodrin)
BMP085_ADDRESS = _wyliodrin.BMP085_ADDRESS

_wyliodrin.BMP085_REGISTER_CAL_AC1_swigconstant(_wyliodrin)
BMP085_REGISTER_CAL_AC1 = _wyliodrin.BMP085_REGISTER_CAL_AC1

_wyliodrin.BMP085_REGISTER_CAL_AC2_swigconstant(_wyliodrin)
BMP085_REGISTER_CAL_AC2 = _wyliodrin.BMP085_REGISTER_CAL_AC2

_wyliodrin.BMP085_REGISTER_CAL_AC3_swigconstant(_wyliodrin)
BMP085_REGISTER_CAL_AC3 = _wyliodrin.BMP085_REGISTER_CAL_AC3

_wyliodrin.BMP085_REGISTER_CAL_AC4_swigconstant(_wyliodrin)
BMP085_REGISTER_CAL_AC4 = _wyliodrin.BMP085_REGISTER_CAL_AC4

_wyliodrin.BMP085_REGISTER_CAL_AC5_swigconstant(_wyliodrin)
BMP085_REGISTER_CAL_AC5 = _wyliodrin.BMP085_REGISTER_CAL_AC5

_wyliodrin.BMP085_REGISTER_CAL_AC6_swigconstant(_wyliodrin)
BMP085_REGISTER_CAL_AC6 = _wyliodrin.BMP085_REGISTER_CAL_AC6

_wyliodrin.BMP085_REGISTER_CAL_B1_swigconstant(_wyliodrin)
BMP085_REGISTER_CAL_B1 = _wyliodrin.BMP085_REGISTER_CAL_B1

_wyliodrin.BMP085_REGISTER_CAL_B2_swigconstant(_wyliodrin)
BMP085_REGISTER_CAL_B2 = _wyliodrin.BMP085_REGISTER_CAL_B2

_wyliodrin.BMP085_REGISTER_CAL_MB_swigconstant(_wyliodrin)
BMP085_REGISTER_CAL_MB = _wyliodrin.BMP085_REGISTER_CAL_MB

_wyliodrin.BMP085_REGISTER_CAL_MC_swigconstant(_wyliodrin)
BMP085_REGISTER_CAL_MC = _wyliodrin.BMP085_REGISTER_CAL_MC

_wyliodrin.BMP085_REGISTER_CAL_MD_swigconstant(_wyliodrin)
BMP085_REGISTER_CAL_MD = _wyliodrin.BMP085_REGISTER_CAL_MD

_wyliodrin.BMP085_REGISTER_CHIPID_swigconstant(_wyliodrin)
BMP085_REGISTER_CHIPID = _wyliodrin.BMP085_REGISTER_CHIPID

_wyliodrin.BMP085_REGISTER_VERSION_swigconstant(_wyliodrin)
BMP085_REGISTER_VERSION = _wyliodrin.BMP085_REGISTER_VERSION

_wyliodrin.BMP085_REGISTER_SOFTRESET_swigconstant(_wyliodrin)
BMP085_REGISTER_SOFTRESET = _wyliodrin.BMP085_REGISTER_SOFTRESET

_wyliodrin.BMP085_REGISTER_CONTROL_swigconstant(_wyliodrin)
BMP085_REGISTER_CONTROL = _wyliodrin.BMP085_REGISTER_CONTROL

_wyliodrin.BMP085_REGISTER_TEMPDATA_swigconstant(_wyliodrin)
BMP085_REGISTER_TEMPDATA = _wyliodrin.BMP085_REGISTER_TEMPDATA

_wyliodrin.BMP085_REGISTER_PRESSUREDATA_swigconstant(_wyliodrin)
BMP085_REGISTER_PRESSUREDATA = _wyliodrin.BMP085_REGISTER_PRESSUREDATA

_wyliodrin.BMP085_REGISTER_READTEMPCMD_swigconstant(_wyliodrin)
BMP085_REGISTER_READTEMPCMD = _wyliodrin.BMP085_REGISTER_READTEMPCMD

_wyliodrin.BMP085_REGISTER_READPRESSURECMD_swigconstant(_wyliodrin)
BMP085_REGISTER_READPRESSURECMD = _wyliodrin.BMP085_REGISTER_READPRESSURECMD

_wyliodrin.BMP085_MODE_ULTRALOWPOWER_swigconstant(_wyliodrin)
BMP085_MODE_ULTRALOWPOWER = _wyliodrin.BMP085_MODE_ULTRALOWPOWER

_wyliodrin.BMP085_MODE_STANDARD_swigconstant(_wyliodrin)
BMP085_MODE_STANDARD = _wyliodrin.BMP085_MODE_STANDARD

_wyliodrin.BMP085_MODE_HIGHRES_swigconstant(_wyliodrin)
BMP085_MODE_HIGHRES = _wyliodrin.BMP085_MODE_HIGHRES

_wyliodrin.BMP085_MODE_ULTRAHIGHRES_swigconstant(_wyliodrin)
BMP085_MODE_ULTRAHIGHRES = _wyliodrin.BMP085_MODE_ULTRAHIGHRES
class bmp085_calib_data(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, bmp085_calib_data, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, bmp085_calib_data, name)
    __repr__ = _swig_repr
    __swig_setmethods__["ac1"] = _wyliodrin.bmp085_calib_data_ac1_set
    __swig_getmethods__["ac1"] = _wyliodrin.bmp085_calib_data_ac1_get
    if _newclass:
        ac1 = _swig_property(_wyliodrin.bmp085_calib_data_ac1_get, _wyliodrin.bmp085_calib_data_ac1_set)
    __swig_setmethods__["ac2"] = _wyliodrin.bmp085_calib_data_ac2_set
    __swig_getmethods__["ac2"] = _wyliodrin.bmp085_calib_data_ac2_get
    if _newclass:
        ac2 = _swig_property(_wyliodrin.bmp085_calib_data_ac2_get, _wyliodrin.bmp085_calib_data_ac2_set)
    __swig_setmethods__["ac3"] = _wyliodrin.bmp085_calib_data_ac3_set
    __swig_getmethods__["ac3"] = _wyliodrin.bmp085_calib_data_ac3_get
    if _newclass:
        ac3 = _swig_property(_wyliodrin.bmp085_calib_data_ac3_get, _wyliodrin.bmp085_calib_data_ac3_set)
    __swig_setmethods__["ac4"] = _wyliodrin.bmp085_calib_data_ac4_set
    __swig_getmethods__["ac4"] = _wyliodrin.bmp085_calib_data_ac4_get
    if _newclass:
        ac4 = _swig_property(_wyliodrin.bmp085_calib_data_ac4_get, _wyliodrin.bmp085_calib_data_ac4_set)
    __swig_setmethods__["ac5"] = _wyliodrin.bmp085_calib_data_ac5_set
    __swig_getmethods__["ac5"] = _wyliodrin.bmp085_calib_data_ac5_get
    if _newclass:
        ac5 = _swig_property(_wyliodrin.bmp085_calib_data_ac5_get, _wyliodrin.bmp085_calib_data_ac5_set)
    __swig_setmethods__["ac6"] = _wyliodrin.bmp085_calib_data_ac6_set
    __swig_getmethods__["ac6"] = _wyliodrin.bmp085_calib_data_ac6_get
    if _newclass:
        ac6 = _swig_property(_wyliodrin.bmp085_calib_data_ac6_get, _wyliodrin.bmp085_calib_data_ac6_set)
    __swig_setmethods__["b1"] = _wyliodrin.bmp085_calib_data_b1_set
    __swig_getmethods__["b1"] = _wyliodrin.bmp085_calib_data_b1_get
    if _newclass:
        b1 = _swig_property(_wyliodrin.bmp085_calib_data_b1_get, _wyliodrin.bmp085_calib_data_b1_set)
    __swig_setmethods__["b2"] = _wyliodrin.bmp085_calib_data_b2_set
    __swig_getmethods__["b2"] = _wyliodrin.bmp085_calib_data_b2_get
    if _newclass:
        b2 = _swig_property(_wyliodrin.bmp085_calib_data_b2_get, _wyliodrin.bmp085_calib_data_b2_set)
    __swig_setmethods__["mb"] = _wyliodrin.bmp085_calib_data_mb_set
    __swig_getmethods__["mb"] = _wyliodrin.bmp085_calib_data_mb_get
    if _newclass:
        mb = _swig_property(_wyliodrin.bmp085_calib_data_mb_get, _wyliodrin.bmp085_calib_data_mb_set)
    __swig_setmethods__["mc"] = _wyliodrin.bmp085_calib_data_mc_set
    __swig_getmethods__["mc"] = _wyliodrin.bmp085_calib_data_mc_get
    if _newclass:
        mc = _swig_property(_wyliodrin.bmp085_calib_data_mc_get, _wyliodrin.bmp085_calib_data_mc_set)
    __swig_setmethods__["md"] = _wyliodrin.bmp085_calib_data_md_set
    __swig_getmethods__["md"] = _wyliodrin.bmp085_calib_data_md_get
    if _newclass:
        md = _swig_property(_wyliodrin.bmp085_calib_data_md_get, _wyliodrin.bmp085_calib_data_md_set)

    def __init__(self):
        this = _wyliodrin.new_bmp085_calib_data()
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _wyliodrin.delete_bmp085_calib_data
    __del__ = lambda self: None
bmp085_calib_data_swigregister = _wyliodrin.bmp085_calib_data_swigregister
bmp085_calib_data_swigregister(bmp085_calib_data)

class Adafruit_BMP085_Unified(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Adafruit_BMP085_Unified, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Adafruit_BMP085_Unified, name)
    __repr__ = _swig_repr

    def __init__(self, sensorID=-1):
        this = _wyliodrin.new_Adafruit_BMP085_Unified(sensorID)
        try:
            self.this.append(this)
        except:
            self.this = this

    def begin(self, mode=BMP085_MODE_ULTRAHIGHRES):
        return _wyliodrin.Adafruit_BMP085_Unified_begin(self, mode)

    def getTemperature(self, *args):
        return _wyliodrin.Adafruit_BMP085_Unified_getTemperature(self, *args)

    def getPressure(self, *args):
        return _wyliodrin.Adafruit_BMP085_Unified_getPressure(self, *args)

    def pressureToAltitude(self, *args):
        return _wyliodrin.Adafruit_BMP085_Unified_pressureToAltitude(self, *args)

    def seaLevelForAltitude(self, *args):
        return _wyliodrin.Adafruit_BMP085_Unified_seaLevelForAltitude(self, *args)

    def getEvent(self, arg2):
        return _wyliodrin.Adafruit_BMP085_Unified_getEvent(self, arg2)

    def getSensor(self, arg2):
        return _wyliodrin.Adafruit_BMP085_Unified_getSensor(self, arg2)
    __swig_destroy__ = _wyliodrin.delete_Adafruit_BMP085_Unified
    __del__ = lambda self: None
Adafruit_BMP085_Unified_swigregister = _wyliodrin.Adafruit_BMP085_Unified_swigregister
Adafruit_BMP085_Unified_swigregister(Adafruit_BMP085_Unified)

class LiquidCrystal(Print):
    __swig_setmethods__ = {}
    for _s in [Print]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, LiquidCrystal, name, value)
    __swig_getmethods__ = {}
    for _s in [Print]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, LiquidCrystal, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _wyliodrin.new_LiquidCrystal(*args)
        try:
            self.this.append(this)
        except:
            self.this = this

    def init(self, fourbitmode, rs, rw, enable, d0, d1, d2, d3, d4, d5, d6, d7):
        return _wyliodrin.LiquidCrystal_init(self, fourbitmode, rs, rw, enable, d0, d1, d2, d3, d4, d5, d6, d7)

    def begin(self, cols, rows, charsize=0x00):
        return _wyliodrin.LiquidCrystal_begin(self, cols, rows, charsize)

    def clear(self):
        return _wyliodrin.LiquidCrystal_clear(self)

    def home(self):
        return _wyliodrin.LiquidCrystal_home(self)

    def noDisplay(self):
        return _wyliodrin.LiquidCrystal_noDisplay(self)

    def display(self):
        return _wyliodrin.LiquidCrystal_display(self)

    def noBlink(self):
        return _wyliodrin.LiquidCrystal_noBlink(self)

    def blink(self):
        return _wyliodrin.LiquidCrystal_blink(self)

    def noCursor(self):
        return _wyliodrin.LiquidCrystal_noCursor(self)

    def cursor(self):
        return _wyliodrin.LiquidCrystal_cursor(self)

    def scrollDisplayLeft(self):
        return _wyliodrin.LiquidCrystal_scrollDisplayLeft(self)

    def scrollDisplayRight(self):
        return _wyliodrin.LiquidCrystal_scrollDisplayRight(self)

    def leftToRight(self):
        return _wyliodrin.LiquidCrystal_leftToRight(self)

    def rightToLeft(self):
        return _wyliodrin.LiquidCrystal_rightToLeft(self)

    def autoscroll(self):
        return _wyliodrin.LiquidCrystal_autoscroll(self)

    def noAutoscroll(self):
        return _wyliodrin.LiquidCrystal_noAutoscroll(self)

    def setBacklight(self, status):
        return _wyliodrin.LiquidCrystal_setBacklight(self, status)

    def createChar(self, arg2, arg3):
        return _wyliodrin.LiquidCrystal_createChar(self, arg2, arg3)

    def setCursor(self, arg2, arg3):
        return _wyliodrin.LiquidCrystal_setCursor(self, arg2, arg3)

    def write(self, arg2):
        return _wyliodrin.LiquidCrystal_write(self, arg2)

    def command(self, arg2):
        return _wyliodrin.LiquidCrystal_command(self, arg2)
    __swig_destroy__ = _wyliodrin.delete_LiquidCrystal
    __del__ = lambda self: None
LiquidCrystal_swigregister = _wyliodrin.LiquidCrystal_swigregister
LiquidCrystal_swigregister(LiquidCrystal)


_wyliodrin.ADDR_AUTO_swigconstant(_wyliodrin)
ADDR_AUTO = _wyliodrin.ADDR_AUTO

_wyliodrin.ADDR_FIXED_swigconstant(_wyliodrin)
ADDR_FIXED = _wyliodrin.ADDR_FIXED

_wyliodrin.STARTADDR_swigconstant(_wyliodrin)
STARTADDR = _wyliodrin.STARTADDR

_wyliodrin.POINT_ON_swigconstant(_wyliodrin)
POINT_ON = _wyliodrin.POINT_ON

_wyliodrin.POINT_OFF_swigconstant(_wyliodrin)
POINT_OFF = _wyliodrin.POINT_OFF

_wyliodrin.BRIGHT_DARKEST_swigconstant(_wyliodrin)
BRIGHT_DARKEST = _wyliodrin.BRIGHT_DARKEST

_wyliodrin.BRIGHT_TYPICAL_swigconstant(_wyliodrin)
BRIGHT_TYPICAL = _wyliodrin.BRIGHT_TYPICAL

_wyliodrin.BRIGHTEST_swigconstant(_wyliodrin)
BRIGHTEST = _wyliodrin.BRIGHTEST
class TM1637(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, TM1637, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, TM1637, name)
    __repr__ = _swig_repr
    __swig_setmethods__["Cmd_SetData"] = _wyliodrin.TM1637_Cmd_SetData_set
    __swig_getmethods__["Cmd_SetData"] = _wyliodrin.TM1637_Cmd_SetData_get
    if _newclass:
        Cmd_SetData = _swig_property(_wyliodrin.TM1637_Cmd_SetData_get, _wyliodrin.TM1637_Cmd_SetData_set)
    __swig_setmethods__["Cmd_SetAddr"] = _wyliodrin.TM1637_Cmd_SetAddr_set
    __swig_getmethods__["Cmd_SetAddr"] = _wyliodrin.TM1637_Cmd_SetAddr_get
    if _newclass:
        Cmd_SetAddr = _swig_property(_wyliodrin.TM1637_Cmd_SetAddr_get, _wyliodrin.TM1637_Cmd_SetAddr_set)
    __swig_setmethods__["Cmd_DispCtrl"] = _wyliodrin.TM1637_Cmd_DispCtrl_set
    __swig_getmethods__["Cmd_DispCtrl"] = _wyliodrin.TM1637_Cmd_DispCtrl_get
    if _newclass:
        Cmd_DispCtrl = _swig_property(_wyliodrin.TM1637_Cmd_DispCtrl_get, _wyliodrin.TM1637_Cmd_DispCtrl_set)
    __swig_setmethods__["_PointFlag"] = _wyliodrin.TM1637__PointFlag_set
    __swig_getmethods__["_PointFlag"] = _wyliodrin.TM1637__PointFlag_get
    if _newclass:
        _PointFlag = _swig_property(_wyliodrin.TM1637__PointFlag_get, _wyliodrin.TM1637__PointFlag_set)

    def __init__(self, arg2, arg3):
        this = _wyliodrin.new_TM1637(arg2, arg3)
        try:
            self.this.append(this)
        except:
            self.this = this

    def init(self):
        return _wyliodrin.TM1637_init(self)

    def writeByte(self, wr_data):
        return _wyliodrin.TM1637_writeByte(self, wr_data)

    def start(self):
        return _wyliodrin.TM1637_start(self)

    def stop(self):
        return _wyliodrin.TM1637_stop(self)

    def display(self, *args):
        return _wyliodrin.TM1637_display(self, *args)

    def clearDisplay(self):
        return _wyliodrin.TM1637_clearDisplay(self)

    def set(self, arg2=2, arg3=0x40, arg4=0xc0):
        return _wyliodrin.TM1637_set(self, arg2, arg3, arg4)

    def point(self, PointFlag):
        return _wyliodrin.TM1637_point(self, PointFlag)

    def coding(self, *args):
        return _wyliodrin.TM1637_coding(self, *args)
    __swig_destroy__ = _wyliodrin.delete_TM1637
    __del__ = lambda self: None
TM1637_swigregister = _wyliodrin.TM1637_swigregister
TM1637_swigregister(TM1637)


_wyliodrin.CMDMODE_swigconstant(_wyliodrin)
CMDMODE = _wyliodrin.CMDMODE

_wyliodrin.ON_swigconstant(_wyliodrin)
ON = _wyliodrin.ON

_wyliodrin.SHUT_swigconstant(_wyliodrin)
SHUT = _wyliodrin.SHUT
class LED_Bar(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, LED_Bar, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, LED_Bar, name)
    __repr__ = _swig_repr

    def __init__(self, pinClk, pinDta):
        this = _wyliodrin.new_LED_Bar(pinClk, pinDta)
        try:
            self.this.append(this)
        except:
            self.this = this

    def ledIndexBit(self, index_bits):
        return _wyliodrin.LED_Bar_ledIndexBit(self, index_bits)

    def setLevel(self, level):
        return _wyliodrin.LED_Bar_setLevel(self, level)

    def setSingleLed(self, num, st):
        return _wyliodrin.LED_Bar_setSingleLed(self, num, st)
    __swig_destroy__ = _wyliodrin.delete_LED_Bar
    __del__ = lambda self: None
LED_Bar_swigregister = _wyliodrin.LED_Bar_swigregister
LED_Bar_swigregister(LED_Bar)

class CircularLED(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, CircularLED, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, CircularLED, name)
    __repr__ = _swig_repr

    def __init__(self, data, clk):
        this = _wyliodrin.new_CircularLED(data, clk)
        try:
            self.this.append(this)
        except:
            self.this = this

    def ClearDisplay(self):
        return _wyliodrin.CircularLED_ClearDisplay(self)

    def CircularLEDWrite(self, data):
        return _wyliodrin.CircularLED_CircularLEDWrite(self, data)
    __swig_destroy__ = _wyliodrin.delete_CircularLED
    __del__ = lambda self: None
CircularLED_swigregister = _wyliodrin.CircularLED_swigregister
CircularLED_swigregister(CircularLED)


_wyliodrin.SeeedOLED_Max_X_swigconstant(_wyliodrin)
SeeedOLED_Max_X = _wyliodrin.SeeedOLED_Max_X

_wyliodrin.SeeedOLED_Max_Y_swigconstant(_wyliodrin)
SeeedOLED_Max_Y = _wyliodrin.SeeedOLED_Max_Y

_wyliodrin.PAGE_MODE_swigconstant(_wyliodrin)
PAGE_MODE = _wyliodrin.PAGE_MODE

_wyliodrin.HORIZONTAL_MODE_swigconstant(_wyliodrin)
HORIZONTAL_MODE = _wyliodrin.HORIZONTAL_MODE

_wyliodrin.SeeedOLED_Address_swigconstant(_wyliodrin)
SeeedOLED_Address = _wyliodrin.SeeedOLED_Address

_wyliodrin.SeeedOLED_Command_Mode_swigconstant(_wyliodrin)
SeeedOLED_Command_Mode = _wyliodrin.SeeedOLED_Command_Mode

_wyliodrin.SeeedOLED_Data_Mode_swigconstant(_wyliodrin)
SeeedOLED_Data_Mode = _wyliodrin.SeeedOLED_Data_Mode

_wyliodrin.SeeedOLED_Display_Off_Cmd_swigconstant(_wyliodrin)
SeeedOLED_Display_Off_Cmd = _wyliodrin.SeeedOLED_Display_Off_Cmd

_wyliodrin.SeeedOLED_Display_On_Cmd_swigconstant(_wyliodrin)
SeeedOLED_Display_On_Cmd = _wyliodrin.SeeedOLED_Display_On_Cmd

_wyliodrin.SeeedOLED_Normal_Display_Cmd_swigconstant(_wyliodrin)
SeeedOLED_Normal_Display_Cmd = _wyliodrin.SeeedOLED_Normal_Display_Cmd

_wyliodrin.SeeedOLED_Inverse_Display_Cmd_swigconstant(_wyliodrin)
SeeedOLED_Inverse_Display_Cmd = _wyliodrin.SeeedOLED_Inverse_Display_Cmd

_wyliodrin.SeeedOLED_Activate_Scroll_Cmd_swigconstant(_wyliodrin)
SeeedOLED_Activate_Scroll_Cmd = _wyliodrin.SeeedOLED_Activate_Scroll_Cmd

_wyliodrin.SeeedOLED_Dectivate_Scroll_Cmd_swigconstant(_wyliodrin)
SeeedOLED_Dectivate_Scroll_Cmd = _wyliodrin.SeeedOLED_Dectivate_Scroll_Cmd

_wyliodrin.SeeedOLED_Set_Brightness_Cmd_swigconstant(_wyliodrin)
SeeedOLED_Set_Brightness_Cmd = _wyliodrin.SeeedOLED_Set_Brightness_Cmd

_wyliodrin.Scroll_Left_swigconstant(_wyliodrin)
Scroll_Left = _wyliodrin.Scroll_Left

_wyliodrin.Scroll_Right_swigconstant(_wyliodrin)
Scroll_Right = _wyliodrin.Scroll_Right

_wyliodrin.Scroll_2Frames_swigconstant(_wyliodrin)
Scroll_2Frames = _wyliodrin.Scroll_2Frames

_wyliodrin.Scroll_3Frames_swigconstant(_wyliodrin)
Scroll_3Frames = _wyliodrin.Scroll_3Frames

_wyliodrin.Scroll_4Frames_swigconstant(_wyliodrin)
Scroll_4Frames = _wyliodrin.Scroll_4Frames

_wyliodrin.Scroll_5Frames_swigconstant(_wyliodrin)
Scroll_5Frames = _wyliodrin.Scroll_5Frames

_wyliodrin.Scroll_25Frames_swigconstant(_wyliodrin)
Scroll_25Frames = _wyliodrin.Scroll_25Frames

_wyliodrin.Scroll_64Frames_swigconstant(_wyliodrin)
Scroll_64Frames = _wyliodrin.Scroll_64Frames

_wyliodrin.Scroll_128Frames_swigconstant(_wyliodrin)
Scroll_128Frames = _wyliodrin.Scroll_128Frames

_wyliodrin.Scroll_256Frames_swigconstant(_wyliodrin)
Scroll_256Frames = _wyliodrin.Scroll_256Frames
class SeeedOLED(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, SeeedOLED, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, SeeedOLED, name)
    __repr__ = _swig_repr
    __swig_setmethods__["addressingMode"] = _wyliodrin.SeeedOLED_addressingMode_set
    __swig_getmethods__["addressingMode"] = _wyliodrin.SeeedOLED_addressingMode_get
    if _newclass:
        addressingMode = _swig_property(_wyliodrin.SeeedOLED_addressingMode_get, _wyliodrin.SeeedOLED_addressingMode_set)

    def init(self):
        return _wyliodrin.SeeedOLED_init(self)

    def setNormalDisplay(self):
        return _wyliodrin.SeeedOLED_setNormalDisplay(self)

    def setInverseDisplay(self):
        return _wyliodrin.SeeedOLED_setInverseDisplay(self)

    def sendCommand(self, command):
        return _wyliodrin.SeeedOLED_sendCommand(self, command)

    def sendData(self, Data):
        return _wyliodrin.SeeedOLED_sendData(self, Data)

    def setPageMode(self):
        return _wyliodrin.SeeedOLED_setPageMode(self)

    def setHorizontalMode(self):
        return _wyliodrin.SeeedOLED_setHorizontalMode(self)

    def setTextXY(self, Row, Column):
        return _wyliodrin.SeeedOLED_setTextXY(self, Row, Column)

    def clearDisplay(self):
        return _wyliodrin.SeeedOLED_clearDisplay(self)

    def setBrightness(self, Brightness):
        return _wyliodrin.SeeedOLED_setBrightness(self, Brightness)

    def putChar(self, c):
        return _wyliodrin.SeeedOLED_putChar(self, c)

    def putString(self, String):
        return _wyliodrin.SeeedOLED_putString(self, String)

    def putNumber(self, n):
        return _wyliodrin.SeeedOLED_putNumber(self, n)

    def putFloat(self, *args):
        return _wyliodrin.SeeedOLED_putFloat(self, *args)

    def drawBitmap(self, bitmaparray, bytes):
        return _wyliodrin.SeeedOLED_drawBitmap(self, bitmaparray, bytes)

    def setHorizontalScrollProperties(self, direction, startPage, endPage, scrollSpeed):
        return _wyliodrin.SeeedOLED_setHorizontalScrollProperties(self, direction, startPage, endPage, scrollSpeed)

    def activateScroll(self):
        return _wyliodrin.SeeedOLED_activateScroll(self)

    def deactivateScroll(self):
        return _wyliodrin.SeeedOLED_deactivateScroll(self)

    def __init__(self):
        this = _wyliodrin.new_SeeedOLED()
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _wyliodrin.delete_SeeedOLED
    __del__ = lambda self: None
SeeedOLED_swigregister = _wyliodrin.SeeedOLED_swigregister
SeeedOLED_swigregister(SeeedOLED)


def unipiSetup():
    return _wyliodrin.unipiSetup()
unipiSetup = _wyliodrin.unipiSetup

def unipiRelay(relay, value):
    return _wyliodrin.unipiRelay(relay, value)
unipiRelay = _wyliodrin.unipiRelay

def unipiAnalogWrite(value):
    return _wyliodrin.unipiAnalogWrite(value)
unipiAnalogWrite = _wyliodrin.unipiAnalogWrite

def unipiAnalogRead(pin):
    return _wyliodrin.unipiAnalogRead(pin)
unipiAnalogRead = _wyliodrin.unipiAnalogRead

def unipiDigitalRead(pin):
    return _wyliodrin.unipiDigitalRead(pin)
unipiDigitalRead = _wyliodrin.unipiDigitalRead
class Pixy(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Pixy, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Pixy, name)
    __repr__ = _swig_repr

    def __init__(self, addr=0x54):
        this = _wyliodrin.new_Pixy(addr)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _wyliodrin.delete_Pixy
    __del__ = lambda self: None

    def getBlocks(self, maxBlocks=1000):
        return _wyliodrin.Pixy_getBlocks(self, maxBlocks)

    def setServos(self, s0, s1):
        return _wyliodrin.Pixy_setServos(self, s0, s1)

    def init(self):
        return _wyliodrin.Pixy_init(self)

    def getBlock(self, s):
        return _wyliodrin.Pixy_getBlock(self, s)
    __swig_setmethods__["blocks"] = _wyliodrin.Pixy_blocks_set
    __swig_getmethods__["blocks"] = _wyliodrin.Pixy_blocks_get
    if _newclass:
        blocks = _swig_property(_wyliodrin.Pixy_blocks_get, _wyliodrin.Pixy_blocks_set)
Pixy_swigregister = _wyliodrin.Pixy_swigregister
Pixy_swigregister(Pixy)

# This file is compatible with both classic and new-style classes.


